package v1

import (
	"property-applete-gateway/param/base"
	"property-applete-gateway/pb/v1"
)

type GateListQuery struct {
	Page     int64 `form:"page" json:"page"`
	PageSize int64 `form:"page_size" json:"page_size"`
}
type GateListRequest struct {
	base.Header
	GateListQuery
}

type GateListResponse struct {
	base.Result
	Data v1.GateListReply `json:"data"`
}

type GateEnableBody struct {
	DeviceId             string   `form:"device_id" json:"device_id"`
	// true 启用 false 停用
	Enable bool `form:"enable" json:"enable"`
}

type GateEnableRequest struct {
	base.Header
	GateEnableBody
}

type GateEnableResponse struct {
	base.Result
}

type GateSetBody struct {
	DeviceId             string   `form:"device_id" json:"device_id"`
	// 1 进场 2 出场 3 进出场
	Direction int32 `form:"direction" json:"direction"`
	// 位置
	Location             string   `form:"location" json:"location"`
}
type GateSetRequest struct {
	base.Header
	GateSetBody
}
type GateSetResponse struct {
	base.Result
}

type GateCardInfo struct {
	CardNumber string `form:"card_number" json:"card_number"`
	CardOwner string `form:"card_owner" json:"card_owner"`
}
type GateWhiteAddBody struct {
	DeviceId             string   `form:"device_id" json:"device_id"`
	// 业主uid和ic卡二选一
	HouseholdUids        []int64         `form:"household_uids" json:"household_uids"`
	CardInfo             []GateCardInfo `form:"card_info" json:"card_info"`
}
type GateWhiteAddRequest struct {
	base.Header
	GateWhiteAddBody
}
type GateWhiteAddResponse struct {
	base.Result
}


type GateWhiteDelQuery struct {
	Id                   int64    `form:"id" json:"id"`
}

type GateWhiteDelRequest struct {
	base.Header
	GateWhiteDelQuery
}

type GateWhiteDelResponse struct {
	base.Result
}


type GateWhiteHouseholdListQuery struct {
	Page     int64 `form:"page" json:"page"`
	PageSize int64 `form:"page_size" json:"page_size"`
	DeviceId             string   `form:"device_id" json:"device_id"`
}
type GateWhiteHouseholdListRequest struct {
	base.Header
	GateWhiteHouseholdListQuery
}
type GateWhiteHouseholdListResponse struct {
	base.Result
	Data v1.GateWhiteHouseholdListReply `json:"data"`
}

type GateWhiteCardListQuery struct {
	Page     int64 `form:"page" json:"page"`
	PageSize int64 `form:"page_size" json:"page_size"`
	DeviceId             string   `form:"device_id" json:"device_id"`
}
type GateWhiteCardListRequest struct {
	base.Header
	GateWhiteCardListQuery
}
type GateWhiteCardListResponse struct {
	base.Result
	Data v1.GateWhiteCardListReply `json:"data"`
}

type GateOpenBody struct {
	DeviceId             string   `form:"device_id" json:"device_id"`
}
type GateOpenRequest struct {
	base.Header
	GateOpenBody
}
type GateOpenResponse struct {
	base.Result
}

type GateRestartBody struct {
	DeviceId             string   `form:"device_id" json:"device_id"`
}
type GateRestartRequest struct {
	base.Header
	GateRestartBody
}
type GateRestartResponse struct {
	base.Result
}

type GateWhiteSyncBody struct {
	DeviceId             string   `form:"device_id" json:"device_id"`
}
type GateWhiteSyncRequest struct {
	base.Header
	GateWhiteSyncBody
}
type GateWhiteSyncResponse struct {
	base.Result
}

type GateCommandListQuery struct {
	Page     int64 `form:"page" json:"page"`
	PageSize int64 `form:"page_size" json:"page_size"`
	DeviceId             string   `form:"device_id" json:"device_id"`
}

type GateCommandListRequest struct {
	base.Header
	GateCommandListQuery
}
type GateCommandListResponse struct {
	base.Result
	Data v1.GateCommandListReply `json:"data"`
}