// GENERATED BY THE COMMAND ABOVE; DO NOT EDIT
// This file was generated by swaggo/swag

package docs

import (
	"bytes"
	"encoding/json"
	"strings"

	"github.com/alecthomas/template"
	"github.com/swaggo/swag"
)

var doc = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{.Description}}",
        "title": "{{.Title}}",
        "contact": {},
        "license": {},
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/api/v1/buildings/batch": {
            "post": {
                "description": "批量添加",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "楼盘管理"
                ],
                "summary": "批量添加",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.BatchHouseAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.HouseAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/buildings/building": {
            "get": {
                "description": "楼栋列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "楼盘管理"
                ],
                "summary": "楼栋列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "楼栋编号",
                        "name": "building_number",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.BuildingListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "更改楼栋",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "楼盘管理"
                ],
                "summary": "更改楼栋",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.BuildingUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.BuildingUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "添加楼栋",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "楼盘管理"
                ],
                "summary": "添加楼栋",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.BuildingAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.BuildingAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除楼栋",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "楼盘管理"
                ],
                "summary": "删除楼栋",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "id",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.BuildingDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/buildings/house": {
            "get": {
                "description": "房屋列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "楼盘管理"
                ],
                "summary": "房屋列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "门牌号",
                        "name": "house_number",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "楼栋id",
                        "name": "building_id",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "单元id",
                        "name": "unit_id",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "住户uid",
                        "name": "household_id",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "房屋类型 1 住宅 2 商铺 3 办公",
                        "name": "house_type",
                        "in": "query"
                    },
                    {
                        "type": "boolean",
                        "description": "是否用于房屋租赁 true 是 false 否",
                        "name": "house_rent",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.HouseListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "更改房屋",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "楼盘管理"
                ],
                "summary": "更改房屋",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.HouseUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.HouseUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "添加房屋",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "楼盘管理"
                ],
                "summary": "添加房屋",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.HouseAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.HouseAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除房屋",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "楼盘管理"
                ],
                "summary": "删除房屋",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "id",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.HouseDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/buildings/unit": {
            "get": {
                "description": "单元列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "楼盘管理"
                ],
                "summary": "单元列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "单元编号",
                        "name": "unit_number",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "楼栋id",
                        "name": "building_id",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.UnitListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "更改单元",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "楼盘管理"
                ],
                "summary": "更改单元",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.UnitUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.UnitUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "添加单元",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "楼盘管理"
                ],
                "summary": "添加单元",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.UnitAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.UnitAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除单元",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "楼盘管理"
                ],
                "summary": "删除单元",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "id",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.UnitDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/batch_urge": {
            "get": {
                "description": "批量催缴单",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "对象收费相关"
                ],
                "summary": "批量催缴单",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "1 房屋 2 车位",
                        "name": "obj_type",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.BatchUrgeResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/bind": {
            "put": {
                "description": "费用绑定对象",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "费用绑定相关"
                ],
                "summary": "费用绑定对象",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeBindBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeBindResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/conf": {
            "get": {
                "description": "费用配置列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "费用配置"
                ],
                "summary": "费用配置列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "费用类型1 物业费 2 水费 3 电费 4 气费 5 车位管理费 6 月租停车费 99 其他",
                        "name": "charge_type",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeConfListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "修改费用配置",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "费用配置"
                ],
                "summary": "修改费用配置",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeConfUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeConfUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "添加费用配置",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "费用配置"
                ],
                "summary": "添加费用配置",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeConfAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeConfAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除费用配置",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "费用配置"
                ],
                "summary": "删除费用配置",
                "parameters": [
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeConfDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/discard_bill/list": {
            "get": {
                "description": "作废账单列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "作废账单"
                ],
                "summary": "作废账单列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "费用类型 费用类型1 物业费 2 水费 3 电费 4 气费 5 车位管理费 6 月租停车费 99 其他",
                        "name": "charge_type",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "对象名",
                        "name": "obj_name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "费项名",
                        "name": "charge_name",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "1 房屋 2 车位 3 车辆 ",
                        "name": "obj_type",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeDelBillListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/discard_bill/recover": {
            "put": {
                "description": "恢复账单",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "作废账单"
                ],
                "summary": "恢复账单",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeRecoverBillBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeRecoverBillResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/house/binded_list": {
            "get": {
                "description": "绑定了项目的房屋列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "费用绑定相关"
                ],
                "summary": "绑定了项目的房屋列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "费项id",
                        "name": "charge_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeHouseBindedListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/house/can_bind_list": {
            "get": {
                "description": "可以绑定某项目的房屋列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "费用绑定相关"
                ],
                "summary": "可以绑定某项目的房屋列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "费项id",
                        "name": "charge_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeHouseNotBindListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/native_pay": {
            "put": {
                "description": "二维码收款",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "收银台"
                ],
                "summary": "二维码收款",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeBillPayByHouseholdBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeBillPayByHouseholdResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/obj_charge/bill": {
            "put": {
                "description": "手动生成账单，仅周期性费用和水电气可以生成",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "对象收费相关"
                ],
                "summary": "手动生成账单，仅周期性费用和水电气可以生成",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeGenerateBillBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeGenerateBillResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/obj_charge/bill_list": {
            "get": {
                "description": "对象的某费项下的待缴账单列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "对象收费相关"
                ],
                "summary": "对象的某费项下的待缴账单列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "绑定关系id",
                        "name": "bind_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeBillListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/obj_charge/charge_list": {
            "get": {
                "description": "查看费用，费项列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "对象收费相关"
                ],
                "summary": "查看费用，费项列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "房屋/车位/车辆id",
                        "name": "obj_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "1 房屋 2 车位 3 车辆 ",
                        "name": "obj_type",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/obj_charge/house_list": {
            "get": {
                "description": "房屋收费 房屋列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "对象收费相关"
                ],
                "summary": "房屋收费 房屋列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeHouseGroupResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/obj_charge/pay": {
            "put": {
                "description": "欠费线下缴费",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "对象收费相关"
                ],
                "summary": "欠费线下缴费",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeBillPayBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeBillPayResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/obj_charge/pre_pay": {
            "put": {
                "description": "线下预缴物业费或车位费",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "对象收费相关"
                ],
                "summary": "线下预缴物业费或车位费",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ChargePrePayBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargePrePayResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/obj_charge/pre_pay_info": {
            "get": {
                "description": "预缴物业费或车位费前获取对应的金额信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "对象收费相关"
                ],
                "summary": "预缴物业费或车位费前获取对应的金额信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "关系id",
                        "name": "bind_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "缴费月数",
                        "name": "months",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargePrePayInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/obj_charge/space_list": {
            "get": {
                "description": "车位收费 车位列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "对象收费相关"
                ],
                "summary": "车位收费 车位列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeSpaceGroupResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/obj_charge/ticket": {
            "get": {
                "description": "小票和收据信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "对象收费相关"
                ],
                "summary": "小票和收据信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "订单号 ",
                        "name": "order_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeOrderTicketResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/obj_charge/time": {
            "put": {
                "description": "变更时间",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "对象收费相关"
                ],
                "summary": "变更时间",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeTimeSetBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeTimeSetResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/obj_charge/unpay_list": {
            "get": {
                "description": "欠费缴费欠费列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "对象收费相关"
                ],
                "summary": "欠费缴费欠费列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "房屋/车位/车辆id",
                        "name": "obj_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "1 房屋 2 车位 3 车辆 ",
                        "name": "obj_type",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeUnpayListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/obj_charge/vehicle_list": {
            "get": {
                "description": "车辆收费 车辆列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "对象收费相关"
                ],
                "summary": "车辆收费 车辆列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeVehicleGroupResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/order/confirm": {
            "put": {
                "description": "确认订单已支付",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "缴费订单"
                ],
                "summary": "确认订单已支付",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeOrderPayBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeOrderPayResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/order/info": {
            "get": {
                "description": "订单详情",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "缴费订单"
                ],
                "summary": "订单详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "订单详情",
                        "name": "order_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeOrderInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/order/list": {
            "get": {
                "description": "缴费订单列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "缴费订单"
                ],
                "summary": "缴费订单列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "1 现金 2 微信 3 支付宝 4 pos 5 转账 6 小程序微信支付 7 小程序支付宝支付 8 app 微信支付 9 app 支付宝支付",
                        "name": "pay_type",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "对象名",
                        "name": "obj_name",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "2 支付中 3 已支付",
                        "name": "pay_status",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeOrderListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/payed_bill/list": {
            "get": {
                "description": "已缴账单",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "已缴账单"
                ],
                "summary": "已缴账单",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "费用类型 费用类型1 物业费 2 水费 3 电费 4 气费 5 车位管理费 6 月租停车费 99 其他",
                        "name": "charge_type",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "对象名",
                        "name": "obj_name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "费项名",
                        "name": "charge_name",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargePayedBillListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/power": {
            "get": {
                "description": "抄表列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "抄表"
                ],
                "summary": "抄表列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "费用类型 2 水费 3 电费 4 气费 ",
                        "name": "charge_type",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.PowerRecordListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "添加抄表记录",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "抄表"
                ],
                "summary": "添加抄表记录",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.PowerRecordAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.PowerRecordAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除抄表记录",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "抄表"
                ],
                "summary": "删除抄表记录",
                "parameters": [
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.PowerRecordDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/power/batch": {
            "post": {
                "description": "批量抄表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "抄表"
                ],
                "summary": "批量抄表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "费用类型 2 水费 3 电费 4 气费",
                        "name": "charge_type",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "file",
                        "description": "file",
                        "name": "file",
                        "in": "formData",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.PowerRecordBatchAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/power/template": {
            "get": {
                "description": "获取抄表模板",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "抄表"
                ],
                "summary": "获取抄表模板",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargePowerTemplateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/property_package": {
            "get": {
                "description": "物业费套餐列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "物业费套餐"
                ],
                "summary": "物业费套餐列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.PropertyPackageListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "修改物业费套餐",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "物业费套餐"
                ],
                "summary": "修改物业费套餐",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.PropertyPackageUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.PropertyPackageUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "添加物业费套餐",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "物业费套餐"
                ],
                "summary": "添加物业费套餐",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.PropertyPackageAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.PropertyPackageAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除物业费套餐",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "物业费套餐"
                ],
                "summary": "删除物业费套餐",
                "parameters": [
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.PropertyPackageDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/space/binded_list": {
            "get": {
                "description": "绑定了项目的车位列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "费用绑定相关"
                ],
                "summary": "绑定了项目的车位列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "费项id",
                        "name": "charge_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeSpaceBindedListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/space/can_bind_list": {
            "get": {
                "description": "可以绑定某项目的车位列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "费用绑定相关"
                ],
                "summary": "可以绑定某项目的车位列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "费项id",
                        "name": "charge_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeSpaceNotBindListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/unbind": {
            "put": {
                "description": "费用解绑对象",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "费用绑定相关"
                ],
                "summary": "费用解绑对象",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeUnbindBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeUnbindResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/unpay_bill/discard": {
            "put": {
                "description": "作废账单",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "应收账单"
                ],
                "summary": "作废账单",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeDelBillBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeDelBillResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/unpay_bill/obj_bill_list": {
            "get": {
                "description": "应收账单中某对象的账单明细",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "应收账单"
                ],
                "summary": "应收账单中某对象的账单明细",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "房屋/车位/车辆id",
                        "name": "obj_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "1 房屋 2 车位 3 车辆 ",
                        "name": "obj_type",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "费用类型 费用类型1 物业费 2 水费 3 电费 4 气费 5 车位管理费 6 月租停车费 99 其他",
                        "name": "charge_type",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "对象名",
                        "name": "obj_name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "费项名",
                        "name": "charge_name",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeObjBillListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/unpay_bill/obj_list": {
            "get": {
                "description": "应收账单中的对象列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "应收账单"
                ],
                "summary": "应收账单中的对象列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeBillObjListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/unpay_bill/urge": {
            "post": {
                "description": "一键催缴",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "应收账单"
                ],
                "summary": "一键催缴",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeUrgeBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeUrgeResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/urge": {
            "get": {
                "description": "催缴信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "催缴设置"
                ],
                "summary": "催缴信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeUrgeInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "催缴设置",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "催缴设置"
                ],
                "summary": "催缴设置",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeUrgeSetBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeUrgeSetResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/vehicle/binded_list": {
            "get": {
                "description": "绑定了项目的车辆列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "费用绑定相关"
                ],
                "summary": "绑定了项目的车辆列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "费项id",
                        "name": "charge_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeVehicleBindedListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/vehicle/can_bind_list": {
            "get": {
                "description": "可以绑定某项目的车辆列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "费用绑定相关"
                ],
                "summary": "可以绑定某项目的车辆列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "费项id",
                        "name": "charge_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeVehicleNotBindListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/department": {
            "get": {
                "description": "部门列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "部门"
                ],
                "summary": "部门列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.DepartmentListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "更改部门",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "部门"
                ],
                "summary": "更改部门",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.DepartmentUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.DepartmentUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "添加部门",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "部门"
                ],
                "summary": "添加部门",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.DepartmentAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.DepartmentAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除部门",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "部门"
                ],
                "summary": "删除部门",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "id",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.DepartmentDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/garden": {
            "get": {
                "description": "小区信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "小区"
                ],
                "summary": "小区信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GardenInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "修改小区普通信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "小区"
                ],
                "summary": "修改小区普通信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "小区信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.GardenUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GardenUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/garden/key_info": {
            "get": {
                "description": "小区关键信息申请列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "小区"
                ],
                "summary": "小区关键信息申请列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "0不过率 1 待审核 2 审核通过 3 未通过 ",
                        "name": "status",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GardenKeyInfoChangeListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "申请修改小区关键信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "小区"
                ],
                "summary": "申请修改小区关键信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "小区信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.GardenKeyInfoChangeBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GardenKeyInfoChangeResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/gate": {
            "get": {
                "description": "门禁列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "门禁"
                ],
                "summary": "门禁列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "小区id",
                        "name": "garden_id",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GateListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/gate/command": {
            "get": {
                "description": "操作记录",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "门禁"
                ],
                "summary": "操作记录",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "设备id",
                        "name": "device_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GateCommandListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/gate/command/open": {
            "post": {
                "description": "门禁远程开门",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "门禁"
                ],
                "summary": "门禁远程开门",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.GateOpenBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GateOpenResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/gate/command/restart": {
            "post": {
                "description": "门禁重启设备",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "门禁"
                ],
                "summary": "门禁重启设备",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.GateRestartBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GateRestartResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/gate/enable": {
            "put": {
                "description": "门禁起停用",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "门禁"
                ],
                "summary": "门禁起停用",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.GateEnableBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GateEnableResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/gate/set": {
            "put": {
                "description": "门禁配置进场场和位置",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "门禁"
                ],
                "summary": "门禁配置进场场和位置",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.GateSetBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GateSetResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/gate/white": {
            "post": {
                "description": "门禁白名单添加",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "门禁"
                ],
                "summary": "门禁白名单添加",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.GateWhiteAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GateWhiteAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "delete": {
                "description": "门禁白名单添加",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "门禁"
                ],
                "summary": "门禁白名单删除",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "白名单id",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GateWhiteDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/gate/white/card": {
            "get": {
                "description": "白名单列表（ic卡）",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "门禁"
                ],
                "summary": "白名单列表（ic卡）",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "设备id",
                        "name": "device_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GateWhiteCardListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/gate/white/household": {
            "get": {
                "description": "白名单列表（用户）",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "门禁"
                ],
                "summary": "白名单列表（用户）",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "设备id",
                        "name": "device_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GateWhiteHouseholdListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/gate/white/sync": {
            "put": {
                "description": "门禁手动同步白名单",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "门禁"
                ],
                "summary": "门禁手动同步白名单",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.GateWhiteSyncBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GateWhiteSyncResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/household/approve": {
            "put": {
                "description": "审核业主",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "业主管理"
                ],
                "summary": "审核业主",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.HouseholdApproveBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.HouseholdApproveResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/household/list": {
            "get": {
                "description": "申请列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "业主管理"
                ],
                "summary": "申请列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "业主身份类型",
                        "name": "user_type",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "业主姓名",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "0 未审核+未通过 1 未审核 2 已通过 3 未通过",
                        "name": "approve_status",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.HouseholdListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/household/user_list": {
            "get": {
                "description": "业主信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "业主管理"
                ],
                "summary": "业主信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "业主身份类型",
                        "name": "user_type",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "业主姓名",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "房屋id",
                        "name": "house_id",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.HouseholdListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/rent/house": {
            "get": {
                "description": "租房列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "房屋租赁"
                ],
                "summary": "租房列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "省份代码",
                        "name": "province_code",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "城市代码",
                        "name": "city_code",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "区域代码",
                        "name": "area_code",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "街道代码",
                        "name": "street_code",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "几室",
                        "name": "room_count",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "几厅",
                        "name": "hall_count",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "几卫",
                        "name": "wc_count",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "租金大于",
                        "name": "rent_price_greater",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "租金小于",
                        "name": "rent_price_less",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "审核状态 0 不过滤 1 待审核 2 通过 3 未通过",
                        "name": "approve_status",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "从低bit到高bit分别表示床 天然气 暖气 宽带 冰箱 衣柜 沙发 空调 电视机 热水器 洗衣机",
                        "name": "base_conf",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "从低到高分别表示 智能门锁 wifi 近地铁 停车位 独卫 私人阳台 首次出租",
                        "name": "special_conf",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.HouseRentListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "修改信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "房屋租赁"
                ],
                "summary": "修改信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.HouseRentUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.HouseRentUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "发布房源",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "房屋租赁"
                ],
                "summary": "发布房源",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.HouseRentApplyBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.HouseRentApplyResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/rent/house/appointment": {
            "get": {
                "description": "租房预约记录",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "房屋租赁"
                ],
                "summary": "租房预约记录",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "房屋全称",
                        "name": "house_name",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "租房信息id",
                        "name": "rent_id",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.HouseRentAppointmentListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除租房预约记录",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "房屋租赁"
                ],
                "summary": "删除租房预约记录",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "预约记录id",
                        "name": "id",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.HouseRentAppointmentDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/rent/house/approve": {
            "put": {
                "description": "审核",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "房屋租赁"
                ],
                "summary": "审核",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.HouseRentApproveBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.HouseRentApproveResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/rent/house/down": {
            "put": {
                "description": "下架",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "房屋租赁"
                ],
                "summary": "下架",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.HouseRentDownBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.HouseRentDownResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/rent/house/manager": {
            "get": {
                "description": "房屋的经纪人列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "房屋租赁"
                ],
                "summary": "房屋的经纪人列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "租房信息id",
                        "name": "rent_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.HouseRentManagerListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "添加经纪人",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "房屋租赁"
                ],
                "summary": "添加经纪人",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.HouseRentAddManagerBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.HouseRentAddManagerResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除经纪人",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "房屋租赁"
                ],
                "summary": "删除经纪人",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "经纪人与房屋的关系id",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.HouseRentDelManagerResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/repair/class": {
            "get": {
                "description": "分类列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "报事报修"
                ],
                "summary": "分类列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "1公区 2室内 ",
                        "name": "area",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.RepairClassListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "修改分类",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "报事报修"
                ],
                "summary": "修改分类",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.RepairClassUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.RepairClassUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "添加分类",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "报事报修"
                ],
                "summary": "添加分类",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.RepairClassAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.RepairClassAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除分类",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "报事报修"
                ],
                "summary": "删除分类",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.RepairClassDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/repair/order": {
            "get": {
                "description": "工单列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "报事报修"
                ],
                "summary": "工单列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " 1未派单 2 已派单 3 已完结 ",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "报修人",
                        "name": "apply_people",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "报修人电话",
                        "name": "apply_people_phone",
                        "in": "query"
                    },
                    {
                        "type": "boolean",
                        "description": " true: 指派给我的",
                        "name": "is_me",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "分类id",
                        "name": "class_id",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.RepairOrderListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "修改工单",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "报事报修"
                ],
                "summary": "修改工单",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.RepairOrderUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.RepairOrderUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "新增工单",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "报事报修"
                ],
                "summary": "新增工单",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.RepairOrderAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.RepairOrderAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除工单",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "报事报修"
                ],
                "summary": "删除工单",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.RepairOrderDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/repair/order/back": {
            "put": {
                "description": "退单",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "报事报修"
                ],
                "summary": "退单",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.RepairOrderBackBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.RepairOrderBackResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/repair/order/finish": {
            "put": {
                "description": "结单",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "报事报修"
                ],
                "summary": "结单",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.RepairOrderFinishBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.RepairOrderFinishResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/repair/order/info": {
            "get": {
                "description": "工单详情",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "报事报修"
                ],
                "summary": "工单详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.RepairOrderInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/repair/order/return_visit": {
            "put": {
                "description": "回访",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "报事报修"
                ],
                "summary": "回访",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.RepairOrderReturnVisitBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.RepairOrderReturnVisitResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/repair/order/send": {
            "put": {
                "description": "派单",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "报事报修"
                ],
                "summary": "派单",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.RepairOrderSendBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.RepairOrderSendResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/service/announcement": {
            "get": {
                "description": "公告列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公告"
                ],
                "summary": "公告列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.AnnouncementListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "修改公告",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公告"
                ],
                "summary": "修改公告",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.AnnouncementUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.AnnouncementUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "添加公告",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公告"
                ],
                "summary": "添加公告",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.AnnouncementAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.AnnouncementAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除公告",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公告"
                ],
                "summary": "删除公告",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.AnnouncementDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/service/event": {
            "get": {
                "description": "社区活动列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "社区活动"
                ],
                "summary": "社区活动列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.EventListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "修改社区活动",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "社区活动"
                ],
                "summary": "修改社区活动",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.EventUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.EventUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "添加社区活动",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "社区活动"
                ],
                "summary": "添加社区活动",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.EventAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.EventAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除社区活动",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "社区活动"
                ],
                "summary": "删除社区活动",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.EventDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/service/event/sign": {
            "get": {
                "description": "社区活动报名记录列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "社区活动"
                ],
                "summary": "社区活动报名记录列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "活动id",
                        "name": "event_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.EventSignListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除社区活动报名记录",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "社区活动"
                ],
                "summary": "删除社区活动报名记录",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.EventSignDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/service/neighbor/article": {
            "get": {
                "description": "文章列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "社区邻里"
                ],
                "summary": "文章列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "文章标题 ",
                        "name": "title",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "分类id",
                        "name": "class_id",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.NeighborArticleListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除文章",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "社区邻里"
                ],
                "summary": "删除文章",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.NeighborArticleDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/service/neighbor/class": {
            "get": {
                "description": "分类列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "社区邻里"
                ],
                "summary": "分类列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "分类名称 ",
                        "name": "class_name",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.NeighborClassListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "修改分类",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "社区邻里"
                ],
                "summary": "修改分类",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.NeighborClassUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.NeighborClassUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "添加分类",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "社区邻里"
                ],
                "summary": "添加分类",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.NeighborClassAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.NeighborClassAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除分类",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "社区邻里"
                ],
                "summary": "删除分类",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.NeighborClassDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/service/neighbor/comment": {
            "get": {
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.NeighborCommentListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除评论",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "社区邻里"
                ],
                "summary": "删除评论",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.NeighborCommentDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/service/vote": {
            "get": {
                "description": "投票列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "投票"
                ],
                "summary": "投票列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "投票标题",
                        "name": "title",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.VoteListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "修改投票",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "投票"
                ],
                "summary": "修改投票",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.VoteUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.VoteUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "添加投票",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "投票"
                ],
                "summary": "添加投票",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.VoteAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.VoteAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除投票",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "投票"
                ],
                "summary": "删除投票",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.VoteDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/service/vote/result": {
            "get": {
                "description": "投票结果列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "投票"
                ],
                "summary": "投票结果列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.VoteResultListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/service/vote/result/statistic": {
            "get": {
                "description": "投票结果统计",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "投票"
                ],
                "summary": "投票结果统计",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.VoteResultStatisticResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/service_phone": {
            "get": {
                "description": "电话列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "服务电话"
                ],
                "summary": "电话列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "分类id",
                        "name": "class_id",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ServicePhoneListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "修改电话",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "服务电话"
                ],
                "summary": "修改电话",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ServicePhoneUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ServicePhoneUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "添加电话",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "服务电话"
                ],
                "summary": "添加电话",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ServicePhoneAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ServicePhoneAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除电话",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "服务电话"
                ],
                "summary": "删除电话",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ServicePhoneDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/service_phone/class": {
            "get": {
                "description": "分类列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "服务电话"
                ],
                "summary": "分类列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ServicePhoneClassListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "修改分类",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "服务电话"
                ],
                "summary": "修改分类",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ServicePhoneClassUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ServicePhoneClassUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "添加分类",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "服务电话"
                ],
                "summary": "添加分类",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ServicePhoneClassAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ServicePhoneClassAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除分类",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "服务电话"
                ],
                "summary": "删除分类",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ServicePhoneClassDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/suggestion/order": {
            "get": {
                "description": "工单列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "投诉与建议"
                ],
                "summary": "工单列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " 1未派单 2 已派单 3 已完结 ",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "报修人",
                        "name": "apply_people",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "报修人电话",
                        "name": "apply_people_phone",
                        "in": "query"
                    },
                    {
                        "type": "boolean",
                        "description": " true: 指派给我的",
                        "name": "is_me",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "投诉类型 1 投诉 2 建议",
                        "name": "suggestion_type",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.SuggestionOrderListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "修改工单",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "投诉与建议"
                ],
                "summary": "修改工单",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.SuggestionOrderUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.SuggestionOrderUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "新增工单",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "投诉与建议"
                ],
                "summary": "新增工单",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.SuggestionOrderAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.SuggestionOrderAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除工单",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "投诉与建议"
                ],
                "summary": "删除工单",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.SuggestionOrderDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/suggestion/order/back": {
            "put": {
                "description": "退单",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "投诉与建议"
                ],
                "summary": "退单",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.SuggestionOrderBackBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.SuggestionOrderBackResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/suggestion/order/finish": {
            "put": {
                "description": "结单",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "投诉与建议"
                ],
                "summary": "结单",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.SuggestionOrderFinishBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.SuggestionOrderFinishResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/suggestion/order/info": {
            "get": {
                "description": "工单详情",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "投诉与建议"
                ],
                "summary": "工单详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.SuggestionOrderInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/suggestion/order/return_visit": {
            "put": {
                "description": "回访",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "投诉与建议"
                ],
                "summary": "回访",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.SuggestionOrderReturnVisitBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.SuggestionOrderReturnVisitResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/suggestion/order/send": {
            "put": {
                "description": "派单",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "投诉与建议"
                ],
                "summary": "派单",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.SuggestionOrderSendBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.SuggestionOrderSendResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/system_msg": {
            "put": {
                "description": "设置消息为已读",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "系统消息"
                ],
                "summary": "设置消息为已读",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.SystemMsgReadedBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.VehicleAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/system_msg/count": {
            "get": {
                "description": "获取未读消息数",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "系统消息"
                ],
                "summary": "获取未读消息数",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.SystemMsgCountResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/system_msg/list": {
            "get": {
                "description": "获取未读消息列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "系统消息"
                ],
                "summary": "获取未读消息列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.SystemMsgListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/system_user": {
            "get": {
                "description": "用户列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户管理"
                ],
                "summary": "用户列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "权限组id",
                        "name": "group_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "用户名",
                        "name": "user_name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "电话号",
                        "name": "phone",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.UserListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/token_refresh": {
            "put": {
                "description": "刷新token",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "刷新token",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.TokenResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/upload": {
            "post": {
                "description": "上传文件",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "upload"
                ],
                "summary": "上传文件",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "file",
                        "description": "file",
                        "name": "file",
                        "in": "formData"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.UploadResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/change_password": {
            "put": {
                "description": "修改密码",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "修改密码",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ChangePasswordBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChangePasswordResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/choose_user": {
            "get": {
                "description": "手机号登录选择账户",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "手机号登录选择账户",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "账户id",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChooseUserResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/login": {
            "post": {
                "description": "登录",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "登录",
                "parameters": [
                    {
                        "description": "登录信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.LoginBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.LoginResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/login_by_phone": {
            "post": {
                "description": "手机号登录",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "手机号登录",
                "parameters": [
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.LoginByPhoneBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.LoginByPhoneResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/reset_password": {
            "put": {
                "description": "忘记密码重置密码",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "忘记密码重置密码",
                "parameters": [
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ResetPasswordBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ResetPasswordResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/vcode": {
            "get": {
                "description": "获取短信验证码",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "获取短信验证码",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "phone",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GetVcodeResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "base.HTTPError": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "integer",
                    "format": "int",
                    "example": 500
                },
                "message": {
                    "type": "string",
                    "example": "status bad request"
                }
            }
        },
        "v1.AnnouncementAddBody": {
            "type": "object",
            "properties": {
                "content": {
                    "type": "string"
                },
                "title": {
                    "type": "string"
                }
            }
        },
        "v1.AnnouncementAddReply": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.AnnouncementAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.AnnouncementAddReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.AnnouncementDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.AnnouncementItem": {
            "type": "object",
            "properties": {
                "content": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "title": {
                    "type": "string"
                }
            }
        },
        "v1.AnnouncementListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.AnnouncementItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.AnnouncementListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.AnnouncementListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.AnnouncementUpdateBody": {
            "type": "object",
            "properties": {
                "content": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "title": {
                    "type": "string"
                }
            }
        },
        "v1.AnnouncementUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.BatchBuildingItem": {
            "type": "object",
            "properties": {
                "building_area": {
                    "description": "楼栋建筑面积",
                    "type": "number"
                },
                "building_name": {
                    "description": "楼栋名",
                    "type": "string"
                },
                "building_number": {
                    "description": "楼栋编号",
                    "type": "string"
                },
                "building_used_area": {
                    "description": "楼栋使用面积",
                    "type": "number"
                },
                "comment": {
                    "description": "备注",
                    "type": "string"
                }
            }
        },
        "v1.BatchHouseAddBody": {
            "type": "object",
            "properties": {
                "buildings": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.BatchBuildingItem"
                    }
                },
                "houses": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.BatchHouseItem"
                    }
                },
                "units": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.BatchUnitItem"
                    }
                }
            }
        },
        "v1.BatchHouseItem": {
            "type": "object",
            "properties": {
                "building_number": {
                    "type": "string"
                },
                "hall_count": {
                    "description": "几厅",
                    "type": "integer"
                },
                "house_area": {
                    "description": "房屋建筑面积",
                    "type": "number"
                },
                "house_number": {
                    "description": "门牌号",
                    "type": "string"
                },
                "house_type": {
                    "description": "房屋类型 1 住宅 2 公寓 3 商业 4 洋房 5 别墅",
                    "type": "integer"
                },
                "house_used_area": {
                    "description": "房屋使用面积",
                    "type": "number"
                },
                "layer": {
                    "description": "楼层",
                    "type": "integer"
                },
                "room_count": {
                    "description": "几室",
                    "type": "integer"
                },
                "unit_number": {
                    "description": "单元编号",
                    "type": "integer"
                }
            }
        },
        "v1.BatchUnitItem": {
            "type": "object",
            "properties": {
                "building_number": {
                    "description": "楼栋编号",
                    "type": "string"
                },
                "has_lift": {
                    "description": "是否有电梯",
                    "type": "boolean"
                },
                "unit_layers": {
                    "description": "楼层数",
                    "type": "integer"
                },
                "unit_name": {
                    "description": "单元名",
                    "type": "string"
                },
                "unit_number": {
                    "description": "单元编号",
                    "type": "integer"
                }
            }
        },
        "v1.BatchUrgeData": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.BatchUrgeItem"
                    }
                }
            }
        },
        "v1.BatchUrgeFeeItem": {
            "type": "object",
            "properties": {
                "charge_name": {
                    "description": "费用名称",
                    "type": "string"
                },
                "charge_type": {
                    "description": "费用类型 1 物业费 2 水费 3 电费 4 气费 5 车位管理费 6 月租停车费 99 其他",
                    "type": "integer"
                },
                "fee": {
                    "description": "欠费金额",
                    "type": "integer"
                }
            }
        },
        "v1.BatchUrgeItem": {
            "type": "object",
            "properties": {
                "list": {
                    "description": "费用",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.BatchUrgeFeeItem"
                    }
                },
                "obj_name": {
                    "description": "房号/车位号",
                    "type": "string"
                }
            }
        },
        "v1.BatchUrgeResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.BatchUrgeData"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.BuildingAddBody": {
            "type": "object",
            "properties": {
                "building_area": {
                    "description": "楼栋建筑面积",
                    "type": "number"
                },
                "building_name": {
                    "description": "楼栋名",
                    "type": "string"
                },
                "building_number": {
                    "description": "楼栋编号",
                    "type": "string"
                },
                "building_used_area": {
                    "description": "楼栋使用面积",
                    "type": "number"
                },
                "comment": {
                    "description": "备注",
                    "type": "string"
                }
            }
        },
        "v1.BuildingAddReply": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.BuildingAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.BuildingAddReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.BuildingDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.BuildingItem": {
            "type": "object",
            "properties": {
                "building_area": {
                    "description": "楼栋建筑面积",
                    "type": "number"
                },
                "building_name": {
                    "description": "楼栋名",
                    "type": "string"
                },
                "building_number": {
                    "description": "楼栋编号",
                    "type": "string"
                },
                "building_used_area": {
                    "description": "楼栋使用面积",
                    "type": "number"
                },
                "comment": {
                    "description": "备注",
                    "type": "string"
                },
                "id": {
                    "description": "id",
                    "type": "integer"
                },
                "unit_count": {
                    "type": "integer"
                }
            }
        },
        "v1.BuildingListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.BuildingItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.BuildingListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.BuildingListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.BuildingUpdateBody": {
            "type": "object",
            "properties": {
                "building_area": {
                    "description": "楼栋建筑面积",
                    "type": "number"
                },
                "building_name": {
                    "description": "楼栋名",
                    "type": "string"
                },
                "building_number": {
                    "description": "楼栋编号",
                    "type": "string"
                },
                "building_used_area": {
                    "description": "楼栋使用面积",
                    "type": "number"
                },
                "comment": {
                    "description": "备注",
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.BuildingUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChangePasswordBody": {
            "type": "object",
            "properties": {
                "new_password": {
                    "type": "string"
                },
                "old_password": {
                    "type": "string"
                }
            }
        },
        "v1.ChangePasswordResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeBillItem": {
            "type": "object",
            "properties": {
                "amount": {
                    "type": "integer"
                },
                "bill_id": {
                    "type": "integer"
                },
                "charge_desc": {
                    "type": "string"
                },
                "charge_name": {
                    "type": "string"
                },
                "charge_type": {
                    "type": "integer"
                },
                "current_used": {
                    "type": "number"
                },
                "end": {
                    "type": "string"
                },
                "last_used": {
                    "type": "number"
                },
                "late_fee": {
                    "type": "integer"
                },
                "start": {
                    "type": "string"
                }
            }
        },
        "v1.ChargeBillListReply": {
            "type": "object",
            "properties": {
                "charge_name": {
                    "type": "string"
                },
                "charge_type": {
                    "type": "integer"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ChargeBillItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "should_pay_amount": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeBillListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargeBillListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeBillObjItem": {
            "type": "object",
            "properties": {
                "bill_count": {
                    "type": "integer"
                },
                "obj_id": {
                    "type": "integer"
                },
                "obj_name": {
                    "type": "string"
                },
                "obj_type": {
                    "type": "integer"
                },
                "should_pay_amount": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeBillObjListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ChargeBillObjItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeBillObjListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargeBillObjListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeBillPayBody": {
            "type": "object",
            "properties": {
                "bind_ids": {
                    "description": "BillIds              []int64  ` + "`" + `form:\"bill_ids\" json:\"bill_ids\"` + "`" + `\n绑定关系id列表",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "comment": {
                    "description": "备注",
                    "type": "string"
                },
                "pay_amount": {
                    "description": "实缴",
                    "type": "integer"
                },
                "pay_type": {
                    "description": "1 现金 2 微信 3 支付宝 4 pos 5 转账",
                    "type": "integer"
                },
                "should_pay_amount": {
                    "description": "应缴",
                    "type": "integer"
                }
            }
        },
        "v1.ChargeBillPayByHouseholdBody": {
            "type": "object",
            "properties": {
                "bind_ids": {
                    "description": "BillIds              []int64  ` + "`" + `form:\"bill_ids\" json:\"bill_ids\"` + "`" + `\n绑定关系id列表",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "comment": {
                    "description": "备注",
                    "type": "string"
                },
                "pay_amount": {
                    "description": "实缴",
                    "type": "integer"
                },
                "should_pay_amount": {
                    "description": "应缴",
                    "type": "integer"
                }
            }
        },
        "v1.ChargeBillPayByHouseholdReply": {
            "type": "object",
            "properties": {
                "code_url": {
                    "description": "二维码,native 支付时有值",
                    "type": "string"
                },
                "order_id": {
                    "type": "string"
                },
                "prepay_info": {
                    "description": "三方预支付信息",
                    "type": "string"
                }
            }
        },
        "v1.ChargeBillPayByHouseholdResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargeBillPayByHouseholdReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeBillPayReply": {
            "type": "object",
            "properties": {
                "order_id": {
                    "type": "string"
                }
            }
        },
        "v1.ChargeBillPayResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargeBillPayReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeBindBody": {
            "type": "object",
            "properties": {
                "charge_id": {
                    "type": "integer"
                },
                "custom_fee": {
                    "type": "integer"
                },
                "end": {
                    "description": "只有车辆费用有，结束时间",
                    "type": "integer"
                },
                "obj_ids": {
                    "description": "绑定对象的id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "start": {
                    "description": "开始时间",
                    "type": "integer"
                }
            }
        },
        "v1.ChargeBindResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeConfAddBody": {
            "type": "object",
            "properties": {
                "bill_period": {
                    "description": "账单生成周期 1 按月 2 按季度 3 半年 4 年",
                    "type": "integer"
                },
                "bill_period_type": {
                    "description": "账单周期计算方式 1自然周期 2 费用生效时间",
                    "type": "integer"
                },
                "charge_basis": {
                    "description": "1 按房屋面积 2 按使用面积 3 按车位面积 4 按使用量 5 固定费用 6 自定义",
                    "type": "integer"
                },
                "charge_effective_time": {
                    "description": "费用生效时间",
                    "type": "integer"
                },
                "charge_name": {
                    "description": "费用名称",
                    "type": "string"
                },
                "charge_time_type": {
                    "description": "缴费时间类型 1 周期性缴 2 一次性",
                    "type": "integer"
                },
                "charge_type": {
                    "description": "费用类型1 物业费 2 水费 3 电费 4 气费 5 车位管理费 6 月租停车费 99 其他",
                    "type": "integer"
                },
                "fix_amount": {
                    "description": "固定费用",
                    "type": "integer"
                },
                "fix_amount_name": {
                    "description": "固定费用别名",
                    "type": "string"
                },
                "lateFeePercent": {
                    "description": "滞纳金比例 1代表万分之1",
                    "type": "integer"
                },
                "late_fee_day": {
                    "description": "账单生成后xx天开始算滞纳金",
                    "type": "integer"
                },
                "late_fee_enable": {
                    "description": "滞纳金开启关闭",
                    "type": "boolean"
                },
                "late_fee_max_days": {
                    "description": "滞纳金封顶天数",
                    "type": "integer"
                },
                "unit_price": {
                    "description": "单价",
                    "type": "integer"
                }
            }
        },
        "v1.ChargeConfAddReply": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeConfAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargeConfAddReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeConfDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeConfItem": {
            "type": "object",
            "properties": {
                "bill_period": {
                    "description": "账单生成周期 1 按月 2 按季度 3 半年 4 年",
                    "type": "integer"
                },
                "bill_period_type": {
                    "description": "账单周期计算方式 1自然周期 2 费用生效时间",
                    "type": "integer"
                },
                "charge_basis": {
                    "description": "1 按房屋面积 2 按使用面积 3 按车位面积 4 按使用量 5 固定费用 6 自定义",
                    "type": "integer"
                },
                "charge_effective_time": {
                    "description": "费用生效时间",
                    "type": "integer"
                },
                "charge_name": {
                    "description": "费用名称",
                    "type": "string"
                },
                "charge_time_type": {
                    "description": "缴费时间类型 1 周期性缴 2 一次性",
                    "type": "integer"
                },
                "charge_type": {
                    "description": "费用类型1 物业费 2 水费 3 电费 4 气费 5 车位管理费 6 月租停车费 99 其他",
                    "type": "integer"
                },
                "fix_amount": {
                    "description": "固定费用",
                    "type": "integer"
                },
                "fix_amount_name": {
                    "description": "固定费用别名",
                    "type": "string"
                },
                "garden_id": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "late_fee_day": {
                    "description": "账单生成后xx天开始算滞纳金",
                    "type": "integer"
                },
                "late_fee_enable": {
                    "description": "滞纳金开启关闭",
                    "type": "boolean"
                },
                "late_fee_max_days": {
                    "description": "滞纳金封顶天数",
                    "type": "integer"
                },
                "late_fee_percent": {
                    "description": "滞纳金比例 1代表万分之1",
                    "type": "integer"
                },
                "unit_price": {
                    "description": "单价",
                    "type": "integer"
                }
            }
        },
        "v1.ChargeConfListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ChargeConfItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeConfListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargeConfListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeConfUpdateBody": {
            "type": "object",
            "properties": {
                "bill_period": {
                    "description": "账单生成周期 1 按月 2 按季度 3 半年 4 年",
                    "type": "integer"
                },
                "bill_period_type": {
                    "description": "账单周期计算方式 1自然周期 2 费用生效时间",
                    "type": "integer"
                },
                "charge_basis": {
                    "description": "1 按房屋面积 2 按使用面积 3 按车位面积 4 按使用量 5 固定费用 6 自定义",
                    "type": "integer"
                },
                "charge_effective_time": {
                    "description": "费用生效时间",
                    "type": "integer"
                },
                "charge_name": {
                    "description": "费用名称",
                    "type": "string"
                },
                "charge_time_type": {
                    "description": "缴费时间类型 1 周期性缴 2 一次性",
                    "type": "integer"
                },
                "charge_type": {
                    "description": "费用类型1 物业费 2 水费 3 电费 4 气费 5 车位管理费 6 月租停车费 99 其他",
                    "type": "integer"
                },
                "fix_amount": {
                    "description": "固定费用",
                    "type": "integer"
                },
                "fix_amount_name": {
                    "description": "固定费用别名",
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "lateFeePercent": {
                    "description": "滞纳金比例 1代表万分之1",
                    "type": "integer"
                },
                "late_fee_day": {
                    "description": "账单生成后xx天开始算滞纳金",
                    "type": "integer"
                },
                "late_fee_enable": {
                    "description": "滞纳金开启关闭",
                    "type": "boolean"
                },
                "late_fee_max_days": {
                    "description": "滞纳金封顶天数",
                    "type": "integer"
                },
                "unit_price": {
                    "description": "单价",
                    "type": "integer"
                }
            }
        },
        "v1.ChargeConfUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeDelBillBody": {
            "type": "object",
            "properties": {
                "bill_id": {
                    "type": "integer"
                },
                "del_reason": {
                    "type": "string"
                }
            }
        },
        "v1.ChargeDelBillItem": {
            "type": "object",
            "properties": {
                "amount": {
                    "type": "integer"
                },
                "bill_id": {
                    "type": "integer"
                },
                "charge_desc": {
                    "type": "string"
                },
                "charge_name": {
                    "type": "string"
                },
                "charge_type": {
                    "type": "integer"
                },
                "current_used": {
                    "type": "number"
                },
                "del_at": {
                    "type": "string"
                },
                "del_reason": {
                    "type": "string"
                },
                "end": {
                    "type": "string"
                },
                "household_name": {
                    "type": "string"
                },
                "household_phone": {
                    "type": "string"
                },
                "last_used": {
                    "type": "number"
                },
                "late_fee": {
                    "type": "integer"
                },
                "obj_name": {
                    "type": "string"
                },
                "obj_type": {
                    "type": "integer"
                },
                "pay_time": {
                    "type": "string"
                },
                "pay_type": {
                    "type": "integer"
                },
                "start": {
                    "type": "string"
                }
            }
        },
        "v1.ChargeDelBillListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ChargeDelBillItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeDelBillListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargeDelBillListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeDelBillResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeGenerateBillBody": {
            "type": "object",
            "properties": {
                "bind_id": {
                    "type": "integer"
                },
                "end": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeGenerateBillResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeHouseBindedListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ChargeHouseData"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeHouseBindedListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargeHouseBindedListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeHouseData": {
            "type": "object",
            "properties": {
                "house_area": {
                    "type": "number"
                },
                "house_id": {
                    "type": "integer"
                },
                "house_name": {
                    "description": "房屋号",
                    "type": "string"
                },
                "house_number": {
                    "description": "门牌号",
                    "type": "string"
                },
                "house_status": {
                    "type": "integer"
                },
                "house_type": {
                    "type": "integer"
                },
                "house_used_area": {
                    "type": "number"
                },
                "layer": {
                    "type": "integer"
                },
                "start": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeHouseGroupItem": {
            "type": "object",
            "properties": {
                "has_unpay_bill": {
                    "description": "是否有欠费账单",
                    "type": "boolean"
                },
                "house_area": {
                    "type": "number"
                },
                "house_id": {
                    "type": "integer"
                },
                "house_name": {
                    "type": "string"
                },
                "house_property_bind_id": {
                    "description": "房屋与物业费的绑定id",
                    "type": "integer"
                },
                "house_status": {
                    "type": "integer"
                },
                "house_type": {
                    "type": "integer"
                },
                "house_used_area": {
                    "type": "number"
                },
                "layer": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeHouseGroupReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ChargeHouseGroupItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeHouseGroupResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargeHouseGroupReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeHouseNotBindListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ChargeHouseData"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeHouseNotBindListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargeHouseNotBindListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeItem": {
            "type": "object",
            "properties": {
                "bind_id": {
                    "type": "integer"
                },
                "charge_name": {
                    "type": "string"
                },
                "charge_time_type": {
                    "type": "integer"
                },
                "charge_type": {
                    "type": "integer"
                },
                "created_at": {
                    "type": "string"
                },
                "desc": {
                    "type": "string"
                },
                "end": {
                    "type": "string"
                },
                "start": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                }
            }
        },
        "v1.ChargeListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ChargeItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargeListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeObjBillListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ChargeBillItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeObjBillListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargeObjBillListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeOrderBillItem": {
            "type": "object",
            "properties": {
                "amount": {
                    "type": "integer"
                },
                "bill_id": {
                    "type": "integer"
                },
                "charge_desc": {
                    "type": "string"
                },
                "charge_name": {
                    "type": "string"
                },
                "charge_type": {
                    "type": "integer"
                },
                "current_used": {
                    "type": "number"
                },
                "end": {
                    "type": "string"
                },
                "last_used": {
                    "type": "number"
                },
                "late_fee": {
                    "type": "integer"
                },
                "obj_name": {
                    "type": "string"
                },
                "start": {
                    "type": "string"
                }
            }
        },
        "v1.ChargeOrderInfoReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ChargeOrderBillItem"
                    }
                }
            }
        },
        "v1.ChargeOrderInfoResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargeOrderInfoReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeOrderItem": {
            "type": "object",
            "properties": {
                "comment": {
                    "type": "string"
                },
                "obj_name": {
                    "type": "string"
                },
                "order_id": {
                    "type": "string"
                },
                "pay_amount": {
                    "type": "integer"
                },
                "pay_time": {
                    "type": "string"
                },
                "pay_type": {
                    "type": "integer"
                },
                "paying_desc": {
                    "type": "string"
                },
                "should_pay_amount": {
                    "type": "integer"
                },
                "status": {
                    "description": "1 代缴 2 支付中 3 已支付",
                    "type": "integer"
                },
                "transaction_id": {
                    "type": "string"
                }
            }
        },
        "v1.ChargeOrderListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ChargeOrderItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeOrderListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargeOrderListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeOrderPayBody": {
            "type": "object",
            "properties": {
                "order_id": {
                    "type": "string"
                }
            }
        },
        "v1.ChargeOrderPayResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeOrderTicketItem": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "金额 不包含滞纳金",
                    "type": "integer"
                },
                "area_used": {
                    "description": "面积/用量",
                    "type": "number"
                },
                "charge_name": {
                    "description": "费用名称",
                    "type": "string"
                },
                "charge_type": {
                    "description": "费用类型",
                    "type": "integer"
                },
                "custom_fee": {
                    "description": "自定义费用",
                    "type": "integer"
                },
                "end": {
                    "type": "string"
                },
                "fix_amount": {
                    "description": "固定费用",
                    "type": "integer"
                },
                "late_fee": {
                    "description": "滞纳金",
                    "type": "integer"
                },
                "obj_name": {
                    "description": "房屋/车位/车辆",
                    "type": "string"
                },
                "obj_type": {
                    "description": "1 房屋 2 车位 3 车辆",
                    "type": "integer"
                },
                "pay_time": {
                    "description": "支付时间",
                    "type": "string"
                },
                "start": {
                    "description": "收费范围",
                    "type": "string"
                },
                "unit_price": {
                    "description": "单价",
                    "type": "integer"
                }
            }
        },
        "v1.ChargeOrderTicketReply": {
            "type": "object",
            "properties": {
                "comment": {
                    "description": "备注",
                    "type": "string"
                },
                "list": {
                    "description": "账单小票条目",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ChargeOrderTicketItem"
                    }
                },
                "should_pay_amount": {
                    "description": "应付总金额 包含滞纳金",
                    "type": "integer"
                }
            }
        },
        "v1.ChargeOrderTicketResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargeOrderTicketReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargePayedBillItem": {
            "type": "object",
            "properties": {
                "amount": {
                    "type": "integer"
                },
                "bill_id": {
                    "type": "integer"
                },
                "charge_desc": {
                    "type": "string"
                },
                "charge_name": {
                    "type": "string"
                },
                "charge_type": {
                    "type": "integer"
                },
                "current_used": {
                    "type": "number"
                },
                "end": {
                    "type": "string"
                },
                "last_used": {
                    "type": "number"
                },
                "late_fee": {
                    "type": "integer"
                },
                "obj_name": {
                    "type": "string"
                },
                "obj_type": {
                    "type": "integer"
                },
                "pay_time": {
                    "type": "string"
                },
                "pay_type": {
                    "type": "integer"
                },
                "start": {
                    "type": "string"
                }
            }
        },
        "v1.ChargePayedBillListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ChargePayedBillItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargePayedBillListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargePayedBillListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargePowerTemplateData": {
            "type": "object",
            "properties": {
                "url": {
                    "type": "string"
                }
            }
        },
        "v1.ChargePowerTemplateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargePowerTemplateData"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargePrePayBody": {
            "type": "object",
            "properties": {
                "bind_id": {
                    "type": "integer"
                },
                "comment": {
                    "description": "备注",
                    "type": "string"
                },
                "months": {
                    "type": "integer"
                },
                "pay_amount": {
                    "description": "实缴金额",
                    "type": "integer"
                },
                "pay_type": {
                    "description": "1 现金 2 微信 3 支付宝 4 pos 5 转账",
                    "type": "integer"
                },
                "should_pay_amount": {
                    "description": "应缴金额",
                    "type": "integer"
                }
            }
        },
        "v1.ChargePrePayInfoReply": {
            "type": "object",
            "properties": {
                "charge_desc": {
                    "type": "string"
                },
                "charge_name": {
                    "type": "string"
                },
                "charge_type": {
                    "type": "integer"
                },
                "should_pay_amount": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargePrePayInfoResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargePrePayInfoReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargePrePayReply": {
            "type": "object",
            "properties": {
                "order_id": {
                    "type": "string"
                }
            }
        },
        "v1.ChargePrePayResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargePrePayReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeRecoverBillBody": {
            "type": "object",
            "properties": {
                "bill_id": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeRecoverBillResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeSpaceBindedListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ChargeSpaceData"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeSpaceBindedListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargeSpaceBindedListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeSpaceData": {
            "type": "object",
            "properties": {
                "park_name": {
                    "type": "string"
                },
                "park_number": {
                    "type": "string"
                },
                "space_area": {
                    "type": "number"
                },
                "space_id": {
                    "type": "integer"
                },
                "space_number": {
                    "type": "string"
                },
                "space_status": {
                    "type": "integer"
                },
                "space_type": {
                    "type": "integer"
                },
                "start": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeSpaceGroupItem": {
            "type": "object",
            "properties": {
                "has_unpay_bill": {
                    "description": "是否有欠费账单",
                    "type": "boolean"
                },
                "park_name": {
                    "type": "string"
                },
                "park_number": {
                    "type": "string"
                },
                "space_area": {
                    "type": "number"
                },
                "space_bind_id": {
                    "description": "车位与费用的绑定id",
                    "type": "integer"
                },
                "space_id": {
                    "type": "integer"
                },
                "space_number": {
                    "type": "string"
                },
                "space_status": {
                    "type": "integer"
                },
                "space_type": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeSpaceGroupReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ChargeSpaceGroupItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeSpaceGroupResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargeSpaceGroupReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeSpaceNotBindListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ChargeSpaceData"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeSpaceNotBindListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargeSpaceNotBindListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeTimeSetBody": {
            "type": "object",
            "properties": {
                "bind_id": {
                    "type": "integer"
                },
                "end": {
                    "description": "仅车辆费用可以设结束时间",
                    "type": "integer"
                },
                "start": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeTimeSetResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeUnbindBody": {
            "type": "object",
            "properties": {
                "charge_id": {
                    "type": "integer"
                },
                "obj_id": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeUnbindResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeUnpayItem": {
            "type": "object",
            "properties": {
                "bill_count": {
                    "type": "integer"
                },
                "bind_id": {
                    "type": "integer"
                },
                "charge_name": {
                    "type": "string"
                },
                "charge_time_type": {
                    "type": "integer"
                },
                "charge_type": {
                    "type": "integer"
                },
                "unpay_amount": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeUnpayListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ChargeUnpayItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeUnpayListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargeUnpayListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeUrgeBody": {
            "type": "object",
            "properties": {
                "obj_id": {
                    "type": "integer"
                },
                "obj_type": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeUrgeInfoReply": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "urge_day": {
                    "type": "integer"
                },
                "urge_msg_type": {
                    "type": "integer"
                },
                "urge_target": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeUrgeInfoResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargeUrgeInfoReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeUrgeResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeUrgeSetBody": {
            "type": "object",
            "properties": {
                "id": {
                    "description": "催缴信息返回的id为0时填0",
                    "type": "integer"
                },
                "urge_day": {
                    "type": "integer"
                },
                "urge_msg_type": {
                    "description": "1 仅短信 2 仅微信 3 短信和微信",
                    "type": "integer"
                },
                "urge_target": {
                    "description": "1 仅业主 2 业主和家人 3 业主家人租客",
                    "type": "integer"
                }
            }
        },
        "v1.ChargeUrgeSetResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeVehicleBindedListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ChargeVehicleData"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeVehicleBindedListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargeVehicleBindedListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeVehicleData": {
            "type": "object",
            "properties": {
                "brand": {
                    "type": "string"
                },
                "displacement": {
                    "type": "string"
                },
                "end": {
                    "type": "integer"
                },
                "plate_no": {
                    "type": "string"
                },
                "seat": {
                    "type": "integer"
                },
                "start": {
                    "type": "integer"
                },
                "vehicle_id": {
                    "type": "integer"
                },
                "vehicle_type": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeVehicleGroupItem": {
            "type": "object",
            "properties": {
                "brand": {
                    "type": "string"
                },
                "displacement": {
                    "type": "string"
                },
                "plate_no": {
                    "type": "string"
                },
                "seat": {
                    "type": "integer"
                },
                "vehicle_id": {
                    "type": "integer"
                },
                "vehicle_type": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeVehicleGroupReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ChargeVehicleGroupItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeVehicleGroupResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargeVehicleGroupReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeVehicleNotBindListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ChargeVehicleData"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeVehicleNotBindListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargeVehicleNotBindListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChooseUserResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.LoginData"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.DepartmentAddBody": {
            "type": "object",
            "properties": {
                "department_name": {
                    "type": "string"
                },
                "desc": {
                    "type": "string"
                }
            }
        },
        "v1.DepartmentAddReply": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.DepartmentAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.DepartmentAddReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.DepartmentDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.DepartmentItem": {
            "type": "object",
            "properties": {
                "created_at": {
                    "type": "string"
                },
                "department_name": {
                    "type": "string"
                },
                "desc": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.DepartmentListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.DepartmentItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.DepartmentListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.DepartmentListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.DepartmentUpdateBody": {
            "type": "object",
            "properties": {
                "department_name": {
                    "type": "string"
                },
                "desc": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.DepartmentUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.EventAddBody": {
            "type": "object",
            "properties": {
                "addr": {
                    "description": "活动地址",
                    "type": "string"
                },
                "content": {
                    "description": "内容",
                    "type": "string"
                },
                "end": {
                    "description": "活动结束时间",
                    "type": "integer"
                },
                "fee": {
                    "description": "报名费用",
                    "type": "integer"
                },
                "people_limit": {
                    "description": "人数限制",
                    "type": "integer"
                },
                "pic": {
                    "description": "图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "sign_up_end": {
                    "description": "报名截止时间",
                    "type": "integer"
                },
                "start": {
                    "description": "活动开始时间",
                    "type": "integer"
                },
                "title": {
                    "type": "string"
                }
            }
        },
        "v1.EventAddReply": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.EventAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.EventAddReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.EventDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.EventItem": {
            "type": "object",
            "properties": {
                "addr": {
                    "description": "活动地址",
                    "type": "string"
                },
                "content": {
                    "description": "内容",
                    "type": "string"
                },
                "created_at": {
                    "type": "string"
                },
                "end": {
                    "description": "活动结束时间",
                    "type": "integer"
                },
                "fee": {
                    "description": "报名费用",
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "people_count": {
                    "description": "已报名人数",
                    "type": "integer"
                },
                "people_limit": {
                    "description": "人数限制",
                    "type": "integer"
                },
                "pic": {
                    "description": "图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "sign": {
                    "description": "物业端不管该字段，小程序查询时该字段有效 是否报名",
                    "type": "boolean"
                },
                "sign_up_end": {
                    "description": "报名截止时间",
                    "type": "integer"
                },
                "start": {
                    "description": "活动开始时间",
                    "type": "integer"
                },
                "status": {
                    "description": "1 报名进行中 2 报名已截止",
                    "type": "integer"
                },
                "title": {
                    "description": "标题",
                    "type": "string"
                }
            }
        },
        "v1.EventListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.EventItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.EventListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.EventListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.EventSignDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.EventSignItem": {
            "type": "object",
            "properties": {
                "comment": {
                    "type": "string"
                },
                "count": {
                    "description": "人数",
                    "type": "integer"
                },
                "event_id": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                },
                "sign_time": {
                    "type": "string"
                }
            }
        },
        "v1.EventSignListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.EventSignItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.EventSignListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.EventSignListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.EventUpdateBody": {
            "type": "object",
            "properties": {
                "addr": {
                    "description": "活动地址",
                    "type": "string"
                },
                "content": {
                    "description": "内容",
                    "type": "string"
                },
                "end": {
                    "description": "活动结束时间",
                    "type": "integer"
                },
                "fee": {
                    "description": "报名费用",
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "people_limit": {
                    "description": "人数限制",
                    "type": "integer"
                },
                "pic": {
                    "description": "图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "sign_up_end": {
                    "description": "报名截止时间",
                    "type": "integer"
                },
                "start": {
                    "description": "活动开始时间",
                    "type": "integer"
                },
                "title": {
                    "type": "string"
                }
            }
        },
        "v1.EventUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GardenHouseRentListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.HouseRentItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.GardenInfoResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.GardenItem"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GardenItem": {
            "type": "object",
            "properties": {
                "appendix": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "area": {
                    "description": "区",
                    "type": "string"
                },
                "area_code": {
                    "type": "string"
                },
                "cid": {
                    "description": "物业公司id",
                    "type": "integer"
                },
                "city": {
                    "description": "市",
                    "type": "string"
                },
                "city_code": {
                    "type": "string"
                },
                "committee": {
                    "description": "社区",
                    "type": "string"
                },
                "committee_code": {
                    "type": "string"
                },
                "feedback": {
                    "type": "string"
                },
                "garden_addr": {
                    "description": "小区地址",
                    "type": "string"
                },
                "garden_desc": {
                    "type": "string"
                },
                "garden_name": {
                    "description": "小区名字",
                    "type": "string"
                },
                "garden_pic": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "in_use": {
                    "type": "boolean"
                },
                "lat": {
                    "description": "纬度",
                    "type": "number"
                },
                "lnt": {
                    "description": "经度",
                    "type": "number"
                },
                "property_person": {
                    "description": "物业联系人",
                    "type": "string"
                },
                "property_phone": {
                    "description": "物业联系人手机号",
                    "type": "string"
                },
                "province": {
                    "description": "省",
                    "type": "string"
                },
                "province_code": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                },
                "street": {
                    "description": "街道",
                    "type": "string"
                },
                "street_code": {
                    "type": "string"
                }
            }
        },
        "v1.GardenKeyInfoChangeBody": {
            "type": "object",
            "properties": {
                "area": {
                    "description": "区",
                    "type": "string"
                },
                "area_code": {
                    "type": "string"
                },
                "city": {
                    "description": "市",
                    "type": "string"
                },
                "city_code": {
                    "type": "string"
                },
                "committee": {
                    "description": "社区",
                    "type": "string"
                },
                "committee_code": {
                    "type": "string"
                },
                "garden_name": {
                    "description": "小区名字",
                    "type": "string"
                },
                "province": {
                    "description": "省",
                    "type": "string"
                },
                "province_code": {
                    "type": "string"
                },
                "street": {
                    "description": "街道",
                    "type": "string"
                },
                "street_code": {
                    "type": "string"
                }
            }
        },
        "v1.GardenKeyInfoChangeListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.GardenKeyInfoData"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.GardenKeyInfoChangeListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.GardenKeyInfoChangeListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GardenKeyInfoChangeResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GardenKeyInfoData": {
            "type": "object",
            "properties": {
                "cid": {
                    "type": "integer"
                },
                "feedback": {
                    "type": "string"
                },
                "garden_detail": {
                    "type": "string"
                },
                "garden_id": {
                    "type": "integer"
                },
                "garden_name": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.GardenKeyInfoItem"
                    }
                },
                "status": {
                    "type": "integer"
                }
            }
        },
        "v1.GardenKeyInfoItem": {
            "type": "object",
            "properties": {
                "field_name": {
                    "type": "string"
                },
                "field_value_dst": {
                    "type": "string"
                },
                "field_value_src": {
                    "type": "string"
                }
            }
        },
        "v1.GardenUpdateBody": {
            "type": "object",
            "properties": {
                "garden_addr": {
                    "description": "省\nProvince     string ` + "`" + `form:\"province\" json:\"province\"` + "`" + `\nProvinceCode string ` + "`" + `form:\"province_code\" json:\"province_code\"` + "`" + `\n市\nCity     string ` + "`" + `form:\"city\" json:\"city\"` + "`" + `\nCityCode string ` + "`" + `form:\"city_code\" json:\"city_code\"` + "`" + `\n区\nArea     string ` + "`" + `form:\"area\" json:\"area\"` + "`" + `\nAreaCode string ` + "`" + `form:\"area_code\" json:\"area_code\"` + "`" + `\n街道\nStreet     string ` + "`" + `form:\"street\" json:\"street\"` + "`" + `\nStreetCode string ` + "`" + `form:\"street_code\" json:\"street_code\"` + "`" + `\n社区\nCommittee     string ` + "`" + `form:\"committee\" json:\"committee\"` + "`" + `\nCommitteeCode string ` + "`" + `form:\"committee_code\" json:\"committee_code\"` + "`" + `\n小区名字\nGardenName string ` + "`" + `form:\"garden_name\" json:\"garden_name\"` + "`" + `\n小区地址",
                    "type": "string"
                },
                "garden_desc": {
                    "description": "小区描述",
                    "type": "string"
                },
                "garden_pic": {
                    "description": "小区形象图片",
                    "type": "string"
                },
                "lat": {
                    "description": "纬度",
                    "type": "number"
                },
                "lnt": {
                    "description": "经度",
                    "type": "number"
                },
                "property_person": {
                    "description": "物业联系人",
                    "type": "string"
                },
                "property_phone": {
                    "description": "物业联系人手机号",
                    "type": "string"
                }
            }
        },
        "v1.GardenUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GateCardInfo": {
            "type": "object",
            "properties": {
                "card_number": {
                    "type": "string"
                },
                "card_owner": {
                    "type": "string"
                }
            }
        },
        "v1.GateCommandItem": {
            "type": "object",
            "properties": {
                "created_at": {
                    "type": "integer"
                },
                "desc": {
                    "type": "string"
                },
                "device_id": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "result_status": {
                    "description": "1 成功 2 失败",
                    "type": "integer"
                },
                "result_status_desc": {
                    "description": "结果描述",
                    "type": "string"
                },
                "status": {
                    "description": "1 待执行 2 执行中 3 执行完成",
                    "type": "integer"
                }
            }
        },
        "v1.GateCommandListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.GateCommandItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.GateCommandListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.GateCommandListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GateEnableBody": {
            "type": "object",
            "properties": {
                "device_id": {
                    "type": "string"
                },
                "enable": {
                    "description": "true 启用 false 停用",
                    "type": "boolean"
                }
            }
        },
        "v1.GateEnableResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GateItem": {
            "type": "object",
            "properties": {
                "auth_key": {
                    "description": "授权key",
                    "type": "string"
                },
                "device_id": {
                    "description": "设备id",
                    "type": "string"
                },
                "device_name": {
                    "description": "设备名",
                    "type": "string"
                },
                "direction": {
                    "description": "1 进场 2 出场 3 进出场",
                    "type": "integer"
                },
                "enable": {
                    "description": "true 已启用 false 已禁用",
                    "type": "boolean"
                },
                "garden_id": {
                    "description": "小区id",
                    "type": "integer"
                },
                "garden_name": {
                    "description": "小区名",
                    "type": "string"
                },
                "gate_type": {
                    "description": "1 二维码门禁 2 人脸识别门禁",
                    "type": "integer"
                },
                "location": {
                    "type": "string"
                },
                "manufactor": {
                    "description": "厂商",
                    "type": "string"
                },
                "out_time": {
                    "description": "出库时间",
                    "type": "integer"
                },
                "out_user": {
                    "description": "出库人",
                    "type": "string"
                },
                "protocol": {
                    "description": "协议",
                    "type": "string"
                },
                "sn": {
                    "description": "序列号",
                    "type": "string"
                },
                "status": {
                    "description": "1 在线 2 离线",
                    "type": "integer"
                }
            }
        },
        "v1.GateListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.GateItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.GateListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.GateListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GateOpenBody": {
            "type": "object",
            "properties": {
                "device_id": {
                    "type": "string"
                }
            }
        },
        "v1.GateOpenResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GateRestartBody": {
            "type": "object",
            "properties": {
                "device_id": {
                    "type": "string"
                }
            }
        },
        "v1.GateRestartResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GateSetBody": {
            "type": "object",
            "properties": {
                "device_id": {
                    "type": "string"
                },
                "direction": {
                    "description": "1 进场 2 出场 3 进出场",
                    "type": "integer"
                },
                "location": {
                    "description": "位置",
                    "type": "string"
                }
            }
        },
        "v1.GateSetResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GateWhiteAddBody": {
            "type": "object",
            "properties": {
                "card_info": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.GateCardInfo"
                    }
                },
                "device_id": {
                    "type": "string"
                },
                "household_uids": {
                    "description": "业主uid和ic卡二选一",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "v1.GateWhiteAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GateWhiteCardItem": {
            "type": "object",
            "properties": {
                "card_number": {
                    "type": "string"
                },
                "card_ower": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "status": {
                    "description": "1.待同步 2 同步中 3 已同步 4 删除中",
                    "type": "integer"
                }
            }
        },
        "v1.GateWhiteCardListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.GateWhiteCardItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.GateWhiteCardListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.GateWhiteCardListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GateWhiteDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GateWhiteHouseholdItem": {
            "type": "object",
            "properties": {
                "house_name": {
                    "type": "string"
                },
                "household_name": {
                    "type": "string"
                },
                "household_uid": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "id_number": {
                    "type": "string"
                },
                "status": {
                    "description": "1.待同步 2 同步中 3 已同步 4 删除中",
                    "type": "integer"
                }
            }
        },
        "v1.GateWhiteHouseholdListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.GateWhiteHouseholdItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.GateWhiteHouseholdListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.GateWhiteHouseholdListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GateWhiteSyncBody": {
            "type": "object",
            "properties": {
                "device_id": {
                    "type": "string"
                }
            }
        },
        "v1.GateWhiteSyncResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GetVcodeReply": {
            "type": "object",
            "properties": {
                "vcode": {
                    "type": "integer"
                }
            }
        },
        "v1.GetVcodeResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.GetVcodeReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.HouseAddBody": {
            "type": "object",
            "properties": {
                "hall_count": {
                    "description": "几厅",
                    "type": "integer"
                },
                "house_area": {
                    "description": "房屋建筑面积",
                    "type": "number"
                },
                "house_number": {
                    "description": "门牌号",
                    "type": "string"
                },
                "house_type": {
                    "description": "房屋类型 1 住宅 2 公寓 3 商业 4 洋房 5 别墅",
                    "type": "integer"
                },
                "house_used_area": {
                    "description": "房屋使用面积",
                    "type": "number"
                },
                "layer": {
                    "description": "楼层",
                    "type": "integer"
                },
                "room_count": {
                    "description": "几室",
                    "type": "integer"
                },
                "unit_id": {
                    "description": "单元id",
                    "type": "integer"
                }
            }
        },
        "v1.HouseAddReply": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.HouseAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.HouseAddReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.HouseDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.HouseItem": {
            "type": "object",
            "properties": {
                "building_id": {
                    "type": "integer"
                },
                "hall_count": {
                    "description": "几厅",
                    "type": "integer"
                },
                "has_lift": {
                    "type": "boolean"
                },
                "house_area": {
                    "description": "房屋建筑面积",
                    "type": "number"
                },
                "house_name": {
                    "type": "string"
                },
                "house_number": {
                    "description": "门牌号",
                    "type": "string"
                },
                "house_type": {
                    "description": "房屋类型 1 住宅 2 公寓 3 商业 4 洋房 5 别墅",
                    "type": "integer"
                },
                "house_used_area": {
                    "description": "房屋使用面积",
                    "type": "number"
                },
                "id": {
                    "type": "integer"
                },
                "layer": {
                    "description": "楼层",
                    "type": "integer"
                },
                "room_count": {
                    "description": "几室",
                    "type": "integer"
                },
                "status": {
                    "description": "房屋状态 1 未入住 2 已入住 3 已出租",
                    "type": "integer"
                },
                "unit_id": {
                    "description": "单元id",
                    "type": "integer"
                }
            }
        },
        "v1.HouseListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.HouseItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.HouseListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.HouseListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.HouseRentAddManagerBody": {
            "type": "object",
            "properties": {
                "manager_uid": {
                    "type": "integer"
                },
                "rent_id": {
                    "type": "integer"
                }
            }
        },
        "v1.HouseRentAddManagerReply": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.HouseRentAddManagerResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.HouseRentAddManagerReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.HouseRentApplyBody": {
            "type": "object",
            "properties": {
                "base_conf": {
                    "description": "基础设施 从低到高分别表示床 天然气 暖气 宽带 冰箱 衣柜 沙发 空调 电视机 热水器 洗衣机",
                    "type": "integer"
                },
                "cert_pic": {
                    "description": "房屋证件图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "contact_phone": {
                    "description": "联系人电话",
                    "type": "string"
                },
                "contacter": {
                    "description": "联系人",
                    "type": "string"
                },
                "decorating": {
                    "description": "1 精装 2 简装 3 清水",
                    "type": "integer"
                },
                "desc": {
                    "description": "简介",
                    "type": "string"
                },
                "desposit": {
                    "description": "押金",
                    "type": "integer"
                },
                "direction": {
                    "description": "朝向",
                    "type": "integer"
                },
                "house_id": {
                    "description": "房屋id",
                    "type": "integer"
                },
                "house_pic": {
                    "description": "房屋图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "in_time": {
                    "description": "可入住时间",
                    "type": "integer"
                },
                "intermediary_price": {
                    "description": "中介费",
                    "type": "integer"
                },
                "pay_time_type": {
                    "description": "1 月付 2 季付 3 半年付 4 年付",
                    "type": "integer"
                },
                "rent_price": {
                    "description": "月租",
                    "type": "integer"
                },
                "rent_type": {
                    "description": "1 整租 2 合租 3 转租",
                    "type": "integer"
                },
                "room_area": {
                    "description": "房间面积",
                    "type": "number"
                },
                "room_type": {
                    "description": "1 全部 2 主卧 3 次卧",
                    "type": "integer"
                },
                "service_price": {
                    "description": "服务费",
                    "type": "integer"
                },
                "special_conf": {
                    "description": "特色配置 从低到高分别表示 智能门锁 wifi 近地铁 停车位 独卫 私人阳台 首次出租",
                    "type": "integer"
                },
                "wc_count": {
                    "description": "几卫",
                    "type": "integer"
                }
            }
        },
        "v1.HouseRentApplyReply": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.HouseRentApplyResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.HouseRentApplyReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.HouseRentAppointmentDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.HouseRentAppointmentItem": {
            "type": "object",
            "properties": {
                "appointment_time": {
                    "type": "integer"
                },
                "gender": {
                    "type": "integer"
                },
                "house_name": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                },
                "rent_id": {
                    "type": "integer"
                },
                "uid": {
                    "type": "integer"
                }
            }
        },
        "v1.HouseRentAppointmentListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.HouseRentAppointmentItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.HouseRentAppointmentListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.HouseRentAppointmentListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.HouseRentApproveBody": {
            "type": "object",
            "properties": {
                "feedback": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "status": {
                    "type": "boolean"
                }
            }
        },
        "v1.HouseRentApproveResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.HouseRentDelManagerResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.HouseRentDownBody": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.HouseRentDownResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.HouseRentItem": {
            "type": "object",
            "properties": {
                "addr": {
                    "type": "string"
                },
                "approve_status": {
                    "description": "审核状态 1 待审 2 通过 3 未通过",
                    "type": "integer"
                },
                "area": {
                    "description": "区域",
                    "type": "string"
                },
                "base_conf": {
                    "description": "基础设施",
                    "type": "integer"
                },
                "cert_pic": {
                    "description": "房屋证件图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "city": {
                    "description": "城市",
                    "type": "string"
                },
                "contact_phone": {
                    "description": "联系人电话",
                    "type": "string"
                },
                "contacter": {
                    "description": "联系人",
                    "type": "string"
                },
                "decorating": {
                    "description": "1 精装 2 简装 3 清水",
                    "type": "integer"
                },
                "desc": {
                    "description": "简介",
                    "type": "string"
                },
                "desposit": {
                    "description": "押金",
                    "type": "integer"
                },
                "direction": {
                    "description": "朝向",
                    "type": "integer"
                },
                "garden_id": {
                    "description": "小区id",
                    "type": "integer"
                },
                "garden_name": {
                    "description": "小区名称",
                    "type": "string"
                },
                "hall_count": {
                    "description": "几厅",
                    "type": "integer"
                },
                "has_lift": {
                    "description": "是否有电梯",
                    "type": "boolean"
                },
                "house_area": {
                    "description": "房屋建筑面积",
                    "type": "number"
                },
                "house_id": {
                    "type": "integer"
                },
                "house_name": {
                    "description": "房屋号",
                    "type": "string"
                },
                "house_pic": {
                    "description": "房屋图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "id": {
                    "description": "租房id",
                    "type": "integer"
                },
                "in_time": {
                    "description": "可入住时间",
                    "type": "integer"
                },
                "intermediary_price": {
                    "description": "中介费",
                    "type": "integer"
                },
                "lat": {
                    "description": "纬度",
                    "type": "number"
                },
                "layer": {
                    "description": "楼层",
                    "type": "integer"
                },
                "lnt": {
                    "description": "经度",
                    "type": "number"
                },
                "pay_time_type": {
                    "description": "1 月付 2 季付 3 半年付 4 年付",
                    "type": "integer"
                },
                "province": {
                    "description": "省份",
                    "type": "string"
                },
                "rent_price": {
                    "description": "月租",
                    "type": "integer"
                },
                "rent_type": {
                    "description": "1 整租 2 合租 3 转租",
                    "type": "integer"
                },
                "room_area": {
                    "description": "房间面积",
                    "type": "number"
                },
                "room_count": {
                    "description": "几室",
                    "type": "integer"
                },
                "room_type": {
                    "description": "1 全部 2 主卧 3 次卧",
                    "type": "integer"
                },
                "service_price": {
                    "description": "服务费",
                    "type": "integer"
                },
                "special_conf": {
                    "description": "特色配置",
                    "type": "integer"
                },
                "street": {
                    "description": "街道",
                    "type": "string"
                },
                "wc_count": {
                    "description": "几卫",
                    "type": "integer"
                }
            }
        },
        "v1.HouseRentListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.GardenHouseRentListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.HouseRentManagerItem": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "manager_uid": {
                    "type": "integer"
                },
                "name": {
                    "description": "姓名",
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                },
                "user_name": {
                    "description": "账号",
                    "type": "string"
                }
            }
        },
        "v1.HouseRentManagerListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.HouseRentManagerItem"
                    }
                }
            }
        },
        "v1.HouseRentManagerListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.HouseRentManagerListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.HouseRentUpdateBody": {
            "type": "object",
            "properties": {
                "base_conf": {
                    "description": "基础设施 从低到高分别表示床 天然气 暖气 宽带 冰箱 衣柜 沙发 空调 电视机 热水器 洗衣机",
                    "type": "integer"
                },
                "cert_pic": {
                    "description": "房屋证件图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "contact_phone": {
                    "description": "联系人电话",
                    "type": "string"
                },
                "contacter": {
                    "description": "联系人",
                    "type": "string"
                },
                "decorating": {
                    "description": "1 精装 2 简装 3 清水",
                    "type": "integer"
                },
                "desc": {
                    "description": "简介",
                    "type": "string"
                },
                "desposit": {
                    "description": "押金",
                    "type": "integer"
                },
                "direction": {
                    "description": "朝向",
                    "type": "integer"
                },
                "house_id": {
                    "description": "房屋id",
                    "type": "integer"
                },
                "house_pic": {
                    "description": "房屋图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "id": {
                    "type": "integer"
                },
                "in_time": {
                    "description": "可入住时间",
                    "type": "integer"
                },
                "intermediary_price": {
                    "description": "中介费",
                    "type": "integer"
                },
                "pay_time_type": {
                    "description": "1 月付 2 季付 3 半年付 4 年付",
                    "type": "integer"
                },
                "rent_price": {
                    "description": "月租",
                    "type": "integer"
                },
                "rent_type": {
                    "description": "1 整租 2 合租 3 转租",
                    "type": "integer"
                },
                "room_area": {
                    "description": "房间面积",
                    "type": "number"
                },
                "room_type": {
                    "description": "1 全部 2 主卧 3 次卧",
                    "type": "integer"
                },
                "service_price": {
                    "description": "服务费",
                    "type": "integer"
                },
                "special_conf": {
                    "description": "特色配置 从低到高分别表示 智能门锁 wifi 近地铁 停车位 独卫 私人阳台 首次出租",
                    "type": "integer"
                },
                "wc_count": {
                    "type": "integer"
                }
            }
        },
        "v1.HouseRentUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.HouseUpdateBody": {
            "type": "object",
            "properties": {
                "hall_count": {
                    "description": "几厅",
                    "type": "integer"
                },
                "house_area": {
                    "description": "房屋建筑面积",
                    "type": "number"
                },
                "house_number": {
                    "description": "门牌号",
                    "type": "string"
                },
                "house_type": {
                    "description": "房屋类型 1 住宅 2 公寓 3 商业 4 洋房 5 别墅",
                    "type": "integer"
                },
                "house_used_area": {
                    "description": "房屋使用面积",
                    "type": "number"
                },
                "id": {
                    "type": "integer"
                },
                "layer": {
                    "description": "楼层",
                    "type": "integer"
                },
                "room_count": {
                    "description": "几室",
                    "type": "integer"
                },
                "unit_id": {
                    "description": "单元id",
                    "type": "integer"
                }
            }
        },
        "v1.HouseUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.HouseholdApproveBody": {
            "type": "object",
            "properties": {
                "feedback": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "status": {
                    "type": "boolean"
                }
            }
        },
        "v1.HouseholdApproveResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.HouseholdItem": {
            "type": "object",
            "properties": {
                "appendix": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "approve_status": {
                    "type": "integer"
                },
                "garden_name": {
                    "type": "string"
                },
                "house_name": {
                    "description": "房号",
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "id_number": {
                    "description": "证件号",
                    "type": "string"
                },
                "id_type": {
                    "description": "1 身份证 2 护照",
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                },
                "user_type": {
                    "description": "1业主 2家人 3租客",
                    "type": "integer"
                }
            }
        },
        "v1.HouseholdListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.HouseholdItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.HouseholdListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.HouseholdListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.LoginBody": {
            "type": "object",
            "properties": {
                "password": {
                    "type": "string"
                },
                "user": {
                    "type": "string"
                }
            }
        },
        "v1.LoginByPhoneBody": {
            "type": "object",
            "properties": {
                "phone": {
                    "type": "string"
                },
                "vcode": {
                    "description": "短信验证码",
                    "type": "integer"
                }
            }
        },
        "v1.LoginByPhoneData": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.LoginByPhoneItem"
                    }
                },
                "token": {
                    "type": "string"
                }
            }
        },
        "v1.LoginByPhoneItem": {
            "type": "object",
            "properties": {
                "garden_id": {
                    "type": "integer"
                },
                "garden_name": {
                    "type": "string"
                },
                "is_super": {
                    "type": "boolean"
                },
                "permissions": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.SystemGroupPermissionData"
                    }
                },
                "uid": {
                    "type": "integer"
                },
                "user": {
                    "type": "string"
                }
            }
        },
        "v1.LoginByPhoneResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.LoginByPhoneData"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.LoginData": {
            "type": "object",
            "properties": {
                "is_super": {
                    "type": "boolean"
                },
                "permissions": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.SystemGroupPermissionData"
                    }
                },
                "token": {
                    "type": "string"
                },
                "uid": {
                    "type": "integer"
                },
                "user": {
                    "type": "string"
                }
            }
        },
        "v1.LoginResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.LoginData"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                },
                "phone_data": {
                    "description": "当账号存在多个小区时使用phone_data",
                    "type": "object",
                    "$ref": "#/definitions/v1.LoginByPhoneData"
                }
            }
        },
        "v1.NeighborArticleDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.NeighborArticleItem": {
            "type": "object",
            "properties": {
                "class_id": {
                    "description": "分类id",
                    "type": "integer"
                },
                "comment_count": {
                    "description": "评论总数",
                    "type": "integer"
                },
                "content": {
                    "type": "string"
                },
                "created_at": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "like": {
                    "description": "true 本人已点赞 false 本人未点赞",
                    "type": "boolean"
                },
                "likes": {
                    "description": "文章点赞数",
                    "type": "integer"
                },
                "owner": {
                    "description": "是否是本人发布的文章",
                    "type": "boolean"
                },
                "pics": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "title": {
                    "type": "string"
                },
                "uid": {
                    "type": "integer"
                },
                "updated_at": {
                    "type": "string"
                },
                "user_icon": {
                    "description": "用户头像",
                    "type": "string"
                },
                "user_name": {
                    "type": "string"
                },
                "user_phone": {
                    "type": "string"
                }
            }
        },
        "v1.NeighborArticleListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.NeighborArticleItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.NeighborArticleListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.NeighborArticleListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.NeighborClassAddBody": {
            "type": "object",
            "properties": {
                "class_name": {
                    "type": "string"
                },
                "class_pic": {
                    "description": "分类图标",
                    "type": "string"
                },
                "enable": {
                    "description": "true 开启 false 禁用",
                    "type": "boolean"
                }
            }
        },
        "v1.NeighborClassAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.NeighborClassDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.NeighborClassItem": {
            "type": "object",
            "properties": {
                "article_count": {
                    "description": "分类下的文章总数",
                    "type": "integer"
                },
                "class_name": {
                    "type": "string"
                },
                "class_pic": {
                    "type": "string"
                },
                "created_at": {
                    "description": "分类创建时间",
                    "type": "string"
                },
                "enable": {
                    "type": "boolean"
                },
                "id": {
                    "type": "integer"
                },
                "updated_at": {
                    "description": "分类结束时间",
                    "type": "string"
                }
            }
        },
        "v1.NeighborClassListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.NeighborClassItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.NeighborClassListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.NeighborClassListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.NeighborClassUpdateBody": {
            "type": "object",
            "properties": {
                "class_name": {
                    "type": "string"
                },
                "class_pic": {
                    "description": "分类图标",
                    "type": "string"
                },
                "enable": {
                    "description": "true 开启 false 禁用",
                    "type": "boolean"
                },
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.NeighborClassUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.NeighborCommentDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.NeighborCommentItem": {
            "type": "object",
            "properties": {
                "content": {
                    "type": "string"
                },
                "created_at": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "like": {
                    "description": "本人是否点赞",
                    "type": "boolean"
                },
                "likes": {
                    "description": "点赞数",
                    "type": "integer"
                },
                "owner": {
                    "description": "是否是本人发布的文章",
                    "type": "boolean"
                },
                "pics": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "sub_comment_count": {
                    "description": "子评论数",
                    "type": "integer"
                },
                "uid": {
                    "type": "integer"
                },
                "updated_at": {
                    "type": "string"
                },
                "user_icon": {
                    "description": "用户头像",
                    "type": "string"
                },
                "user_name": {
                    "type": "string"
                },
                "user_phone": {
                    "type": "string"
                }
            }
        },
        "v1.NeighborCommentListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.NeighborCommentItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.NeighborCommentListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.NeighborCommentListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.PowerRecordAddBody": {
            "type": "object",
            "properties": {
                "charge_type": {
                    "description": "费用类型",
                    "type": "integer"
                },
                "comment": {
                    "description": "备注",
                    "type": "string"
                },
                "current_amount": {
                    "description": "本期抄表数",
                    "type": "number"
                },
                "end": {
                    "description": "结束时间戳",
                    "type": "integer"
                },
                "house_id": {
                    "description": "房屋id",
                    "type": "integer"
                },
                "last_amount": {
                    "description": "上期抄表数",
                    "type": "number"
                },
                "start": {
                    "description": "开始时间戳",
                    "type": "integer"
                }
            }
        },
        "v1.PowerRecordAddReply": {
            "type": "object"
        },
        "v1.PowerRecordAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.PowerRecordAddReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.PowerRecordBatchAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.PowerRecordDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.PowerRecordItem": {
            "type": "object",
            "properties": {
                "charge_type": {
                    "type": "integer"
                },
                "comment": {
                    "type": "string"
                },
                "current_amount": {
                    "type": "number"
                },
                "end": {
                    "type": "integer"
                },
                "house_id": {
                    "type": "integer"
                },
                "house_name": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "last_amount": {
                    "type": "number"
                },
                "read_at": {
                    "type": "integer"
                },
                "start": {
                    "type": "integer"
                }
            }
        },
        "v1.PowerRecordListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.PowerRecordItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.PowerRecordListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.PowerRecordListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.PropertyPackageAddBody": {
            "type": "object",
            "properties": {
                "enable": {
                    "type": "boolean"
                },
                "give_content": {
                    "description": "增送文本",
                    "type": "string"
                },
                "give_months": {
                    "description": "赠送月数",
                    "type": "integer"
                },
                "package_type": {
                    "description": "1 按月 2 按文本",
                    "type": "integer"
                },
                "pay_months": {
                    "description": "购买月数",
                    "type": "integer"
                }
            }
        },
        "v1.PropertyPackageAddReply": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.PropertyPackageAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.PropertyPackageAddReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.PropertyPackageDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.PropertyPackageItem": {
            "type": "object",
            "properties": {
                "enable": {
                    "type": "boolean"
                },
                "give_content": {
                    "description": "增送文本",
                    "type": "string"
                },
                "give_months": {
                    "description": "赠送月数",
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "package_type": {
                    "description": "1 按月 2 按文本",
                    "type": "integer"
                },
                "pay_months": {
                    "description": "购买月数",
                    "type": "integer"
                }
            }
        },
        "v1.PropertyPackageListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.PropertyPackageItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.PropertyPackageListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.PropertyPackageListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.PropertyPackageUpdateBody": {
            "type": "object",
            "properties": {
                "enable": {
                    "type": "boolean"
                },
                "give_content": {
                    "description": "增送文本",
                    "type": "string"
                },
                "give_months": {
                    "description": "赠送月数",
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "package_type": {
                    "description": "1 按月 2 按文本",
                    "type": "integer"
                },
                "pay_months": {
                    "description": "购买月数",
                    "type": "integer"
                }
            }
        },
        "v1.PropertyPackageUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.RepairClassAddBody": {
            "type": "object",
            "properties": {
                "area": {
                    "description": "1 公共区域 2 室内",
                    "type": "integer"
                },
                "enable": {
                    "type": "boolean"
                },
                "name": {
                    "type": "string"
                }
            }
        },
        "v1.RepairClassAddReply": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.RepairClassAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.RepairClassAddReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.RepairClassDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.RepairClassItem": {
            "type": "object",
            "properties": {
                "area": {
                    "type": "integer"
                },
                "enable": {
                    "type": "boolean"
                },
                "id": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                }
            }
        },
        "v1.RepairClassListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.RepairClassItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.RepairClassListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.RepairClassListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.RepairClassUpdateBody": {
            "type": "object",
            "properties": {
                "area": {
                    "type": "integer"
                },
                "enable": {
                    "type": "boolean"
                },
                "id": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                }
            }
        },
        "v1.RepairClassUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.RepairOrderAddBody": {
            "type": "object",
            "properties": {
                "apply_content": {
                    "description": "报修内容",
                    "type": "string"
                },
                "apply_people": {
                    "description": "报修人",
                    "type": "string"
                },
                "apply_people_phone": {
                    "description": "报修人电话",
                    "type": "string"
                },
                "apply_pic": {
                    "description": "报修图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "appointment": {
                    "description": "预约时间",
                    "type": "integer"
                },
                "class_id": {
                    "description": "分类id",
                    "type": "integer"
                },
                "house_id": {
                    "description": "房屋id",
                    "type": "integer"
                }
            }
        },
        "v1.RepairOrderAddReply": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.RepairOrderAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.RepairOrderAddReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.RepairOrderBackBody": {
            "type": "object",
            "properties": {
                "feedback": {
                    "description": "意见",
                    "type": "string"
                },
                "id": {
                    "description": "工单id",
                    "type": "integer"
                }
            }
        },
        "v1.RepairOrderBackResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.RepairOrderDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.RepairOrderFinishBody": {
            "type": "object",
            "properties": {
                "feedback": {
                    "description": "意见",
                    "type": "string"
                },
                "id": {
                    "description": "工单id",
                    "type": "integer"
                },
                "repair_pic": {
                    "description": "处理图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                }
            }
        },
        "v1.RepairOrderFinishResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.RepairOrderInfoReply": {
            "type": "object",
            "properties": {
                "base_info": {
                    "description": "基本信息",
                    "type": "object",
                    "$ref": "#/definitions/v1.RepairOrderItem"
                },
                "list": {
                    "description": "工单流水线",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.RepairOrderPipelineData"
                    }
                }
            }
        },
        "v1.RepairOrderInfoResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.RepairOrderInfoReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.RepairOrderItem": {
            "type": "object",
            "properties": {
                "apply_content": {
                    "description": "报修内容",
                    "type": "string"
                },
                "apply_people": {
                    "description": "报修人",
                    "type": "string"
                },
                "apply_people_phone": {
                    "description": "报修人电话",
                    "type": "string"
                },
                "apply_pic": {
                    "description": "报修图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "appointment": {
                    "description": "预约时间",
                    "type": "string"
                },
                "area": {
                    "type": "integer"
                },
                "building_id": {
                    "description": "楼栋id",
                    "type": "integer"
                },
                "class_id": {
                    "description": "分类id",
                    "type": "integer"
                },
                "class_name": {
                    "description": "分类名称",
                    "type": "string"
                },
                "created_at": {
                    "description": "报修时间",
                    "type": "string"
                },
                "current_user": {
                    "description": "当前状态处理人",
                    "type": "string"
                },
                "house_id": {
                    "description": "房屋id",
                    "type": "integer"
                },
                "house_name": {
                    "description": "房屋全称",
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "last_user": {
                    "description": "上级处理人",
                    "type": "string"
                },
                "repair_time": {
                    "description": "维修时间",
                    "type": "string"
                },
                "return_visit_content": {
                    "description": "回访内容",
                    "type": "string"
                },
                "return_visit_level": {
                    "description": "回访满意度",
                    "type": "integer"
                },
                "status": {
                    "type": "integer"
                },
                "unit_id": {
                    "description": "单元id",
                    "type": "integer"
                }
            }
        },
        "v1.RepairOrderListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.RepairOrderItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.RepairOrderListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.RepairOrderListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.RepairOrderPipelineData": {
            "type": "object",
            "properties": {
                "feedback": {
                    "description": "处理意见",
                    "type": "string"
                },
                "handle_time": {
                    "description": "处理时间",
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                },
                "user": {
                    "description": "处理人",
                    "type": "string"
                }
            }
        },
        "v1.RepairOrderReturnVisitBody": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "return_visit_content": {
                    "description": "回访内容",
                    "type": "string"
                },
                "return_visit_level": {
                    "description": "1 满意 2 不满意",
                    "type": "integer"
                }
            }
        },
        "v1.RepairOrderReturnVisitResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.RepairOrderSendBody": {
            "type": "object",
            "properties": {
                "current_uid": {
                    "description": "指派给谁",
                    "type": "integer"
                },
                "feedback": {
                    "description": "意见",
                    "type": "string"
                },
                "id": {
                    "description": "工单id",
                    "type": "integer"
                }
            }
        },
        "v1.RepairOrderSendResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.RepairOrderUpdateBody": {
            "type": "object",
            "properties": {
                "apply_content": {
                    "description": "报修内容",
                    "type": "string"
                },
                "apply_people": {
                    "description": "报修人",
                    "type": "string"
                },
                "apply_people_phone": {
                    "description": "报修人电话",
                    "type": "string"
                },
                "apply_pic": {
                    "description": "报修图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "appointment": {
                    "description": "预约时间",
                    "type": "integer"
                },
                "class_id": {
                    "description": "分类id",
                    "type": "integer"
                },
                "house_id": {
                    "description": "房屋id",
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.RepairOrderUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ResetPasswordBody": {
            "type": "object",
            "properties": {
                "password": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                },
                "uid": {
                    "description": "用户id，第一次调用时为空，如果电话对应多个账号，选择账号后第二次调用需填该值",
                    "type": "integer"
                },
                "vcode": {
                    "description": "短信验证码",
                    "type": "integer"
                }
            }
        },
        "v1.ResetPasswordData": {
            "type": "object",
            "properties": {
                "garden_name": {
                    "description": "小区名",
                    "type": "string"
                },
                "uid": {
                    "description": "用户id",
                    "type": "integer"
                },
                "username": {
                    "description": "用户名",
                    "type": "string"
                }
            }
        },
        "v1.ResetPasswordReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ResetPasswordData"
                    }
                }
            }
        },
        "v1.ResetPasswordResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ResetPasswordReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ServicePhoneAddBody": {
            "type": "object",
            "properties": {
                "class_id": {
                    "type": "integer"
                },
                "enable": {
                    "type": "boolean"
                },
                "name": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                }
            }
        },
        "v1.ServicePhoneAddReply": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.ServicePhoneAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ServicePhoneAddReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ServicePhoneClassAddBody": {
            "type": "object",
            "properties": {
                "class_name": {
                    "type": "string"
                },
                "enable": {
                    "type": "boolean"
                }
            }
        },
        "v1.ServicePhoneClassAddReply": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.ServicePhoneClassAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ServicePhoneClassAddReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ServicePhoneClassDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ServicePhoneClassItem": {
            "type": "object",
            "properties": {
                "class_name": {
                    "type": "string"
                },
                "enable": {
                    "type": "boolean"
                },
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.ServicePhoneClassListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ServicePhoneClassItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ServicePhoneClassListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ServicePhoneClassListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ServicePhoneClassUpdateBody": {
            "type": "object",
            "properties": {
                "class_name": {
                    "type": "string"
                },
                "enable": {
                    "type": "boolean"
                },
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.ServicePhoneClassUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ServicePhoneDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ServicePhoneItem": {
            "type": "object",
            "properties": {
                "class_id": {
                    "type": "integer"
                },
                "class_name": {
                    "type": "string"
                },
                "enable": {
                    "type": "boolean"
                },
                "id": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                }
            }
        },
        "v1.ServicePhoneListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ServicePhoneItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ServicePhoneListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ServicePhoneListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ServicePhoneUpdateBody": {
            "type": "object",
            "properties": {
                "enable": {
                    "type": "boolean"
                },
                "id": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                }
            }
        },
        "v1.ServicePhoneUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.SuggestionOrderAddBody": {
            "type": "object",
            "properties": {
                "apply_content": {
                    "description": "投诉内容",
                    "type": "string"
                },
                "apply_people": {
                    "description": "投诉人",
                    "type": "string"
                },
                "apply_people_phone": {
                    "description": "投诉人电话",
                    "type": "string"
                },
                "apply_pic": {
                    "description": "投诉图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "suggestion_type": {
                    "description": "投诉类型 1 投诉 2 建议",
                    "type": "integer"
                }
            }
        },
        "v1.SuggestionOrderAddReply": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.SuggestionOrderAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.SuggestionOrderAddReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.SuggestionOrderBackBody": {
            "type": "object",
            "properties": {
                "feedback": {
                    "description": "意见",
                    "type": "string"
                },
                "id": {
                    "description": "工单id",
                    "type": "integer"
                }
            }
        },
        "v1.SuggestionOrderBackResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.SuggestionOrderDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.SuggestionOrderFinishBody": {
            "type": "object",
            "properties": {
                "feedback": {
                    "description": "意见",
                    "type": "string"
                },
                "handle_pic": {
                    "description": "处理图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "id": {
                    "description": "工单id",
                    "type": "integer"
                }
            }
        },
        "v1.SuggestionOrderFinishResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.SuggestionOrderInfoReply": {
            "type": "object",
            "properties": {
                "base_info": {
                    "description": "基本信息",
                    "type": "object",
                    "$ref": "#/definitions/v1.SuggestionOrderItem"
                },
                "list": {
                    "description": "工单流水线",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.SuggestionOrderPipelineData"
                    }
                }
            }
        },
        "v1.SuggestionOrderInfoResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.SuggestionOrderInfoReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.SuggestionOrderItem": {
            "type": "object",
            "properties": {
                "apply_content": {
                    "description": "投诉内容",
                    "type": "string"
                },
                "apply_people": {
                    "description": "投诉人",
                    "type": "string"
                },
                "apply_people_phone": {
                    "description": "投诉人电话",
                    "type": "string"
                },
                "apply_pic": {
                    "description": "投诉图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "created_at": {
                    "description": "投诉时间",
                    "type": "string"
                },
                "current_user": {
                    "description": "当前状态处理人",
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "last_user": {
                    "description": "上级处理人",
                    "type": "string"
                },
                "return_visit_content": {
                    "description": "回访内容",
                    "type": "string"
                },
                "return_visit_level": {
                    "description": "回访满意度",
                    "type": "integer"
                },
                "status": {
                    "type": "integer"
                },
                "suggestion_type": {
                    "description": "投诉类型 1 投诉 2 建议",
                    "type": "integer"
                }
            }
        },
        "v1.SuggestionOrderListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.SuggestionOrderItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.SuggestionOrderListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.SuggestionOrderListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.SuggestionOrderPipelineData": {
            "type": "object",
            "properties": {
                "feedback": {
                    "description": "处理意见",
                    "type": "string"
                },
                "handle_time": {
                    "description": "处理时间",
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                },
                "user": {
                    "description": "处理人",
                    "type": "string"
                }
            }
        },
        "v1.SuggestionOrderReturnVisitBody": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "return_visit_content": {
                    "description": "回访内容",
                    "type": "string"
                },
                "return_visit_level": {
                    "description": "1 满意 2 不满意",
                    "type": "integer"
                }
            }
        },
        "v1.SuggestionOrderReturnVisitResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.SuggestionOrderSendBody": {
            "type": "object",
            "properties": {
                "current_uid": {
                    "description": "指派给谁",
                    "type": "integer"
                },
                "feedback": {
                    "description": "意见",
                    "type": "string"
                },
                "id": {
                    "description": "工单id",
                    "type": "integer"
                }
            }
        },
        "v1.SuggestionOrderSendResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.SuggestionOrderUpdateBody": {
            "type": "object",
            "properties": {
                "apply_content": {
                    "description": "投诉内容",
                    "type": "string"
                },
                "apply_people": {
                    "description": "投诉人",
                    "type": "string"
                },
                "apply_people_phone": {
                    "description": "投诉人电话",
                    "type": "string"
                },
                "apply_pic": {
                    "description": "投诉图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "id": {
                    "type": "integer"
                },
                "suggestion_type": {
                    "description": "投诉类型 1 投诉 2 建议",
                    "type": "integer"
                }
            }
        },
        "v1.SuggestionOrderUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.SystemGroupPermissionData": {
            "type": "object",
            "properties": {
                "applete_path": {
                    "type": "string"
                },
                "code": {
                    "type": "string"
                },
                "name": {
                    "description": "权限名字",
                    "type": "string"
                },
                "path": {
                    "description": "组件路径",
                    "type": "string"
                },
                "pcode": {
                    "description": "父code，若没有则填空",
                    "type": "string"
                },
                "router": {
                    "description": "路由",
                    "type": "string"
                }
            }
        },
        "v1.SystemMsgCountReply": {
            "type": "object",
            "properties": {
                "count": {
                    "type": "integer"
                }
            }
        },
        "v1.SystemMsgCountResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.SystemMsgCountReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.SystemMsgItem": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string"
                },
                "content": {
                    "type": "string"
                },
                "created_at": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.SystemMsgListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.SystemMsgItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.SystemMsgListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.SystemMsgListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.SystemMsgReadedBody": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.TokenResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "string"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                },
                "refresh_token": {
                    "type": "string"
                }
            }
        },
        "v1.UnitAddBody": {
            "type": "object",
            "properties": {
                "building_id": {
                    "type": "integer"
                },
                "has_lift": {
                    "description": "是否有电梯",
                    "type": "boolean"
                },
                "unit_layers": {
                    "description": "楼层数",
                    "type": "integer"
                },
                "unit_name": {
                    "description": "单元名",
                    "type": "string"
                },
                "unit_number": {
                    "description": "单元编号",
                    "type": "integer"
                }
            }
        },
        "v1.UnitAddReply": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.UnitAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.UnitAddReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.UnitDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.UnitItem": {
            "type": "object",
            "properties": {
                "building_id": {
                    "description": "楼栋id",
                    "type": "integer"
                },
                "building_name": {
                    "type": "string"
                },
                "has_lift": {
                    "type": "boolean"
                },
                "id": {
                    "type": "integer"
                },
                "unit_layers": {
                    "description": "楼层数",
                    "type": "integer"
                },
                "unit_name": {
                    "description": "单元名",
                    "type": "string"
                },
                "unit_number": {
                    "description": "单元编号",
                    "type": "integer"
                }
            }
        },
        "v1.UnitListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.UnitItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.UnitListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.UnitListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.UnitUpdateBody": {
            "type": "object",
            "properties": {
                "building_id": {
                    "type": "integer"
                },
                "has_lift": {
                    "description": "是否有电梯",
                    "type": "boolean"
                },
                "id": {
                    "type": "integer"
                },
                "unit_layers": {
                    "description": "楼层数",
                    "type": "integer"
                },
                "unit_name": {
                    "description": "单元名",
                    "type": "string"
                },
                "unit_number": {
                    "description": "单元编号",
                    "type": "integer"
                }
            }
        },
        "v1.UnitUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.UploadResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "string"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.UserItem": {
            "type": "object",
            "properties": {
                "base_permission": {
                    "type": "integer"
                },
                "cid": {
                    "type": "integer"
                },
                "created_at": {
                    "type": "string"
                },
                "department_name": {
                    "type": "string"
                },
                "email": {
                    "type": "string"
                },
                "enable": {
                    "type": "boolean"
                },
                "garden_id": {
                    "type": "integer"
                },
                "garden_name": {
                    "type": "string"
                },
                "group_id": {
                    "type": "integer"
                },
                "group_name": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "password": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                },
                "real_name": {
                    "type": "string"
                },
                "super": {
                    "type": "boolean"
                },
                "user_name": {
                    "type": "string"
                }
            }
        },
        "v1.UserListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.UserItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.UserListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.UserListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.VehicleAddReply": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.VehicleAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.VehicleAddReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.VoteAddBody": {
            "type": "object",
            "properties": {
                "end": {
                    "description": "投票结束时间",
                    "type": "integer"
                },
                "pics": {
                    "description": "图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "start": {
                    "description": "投票开始时间",
                    "type": "integer"
                },
                "title": {
                    "description": "投票标题",
                    "type": "string"
                },
                "topics": {
                    "description": "投票题目列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.VoteTopic"
                    }
                }
            }
        },
        "v1.VoteAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.VoteDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.VoteItem": {
            "type": "object",
            "properties": {
                "created_at": {
                    "type": "integer"
                },
                "end": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "pics": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "start": {
                    "type": "integer"
                },
                "title": {
                    "type": "string"
                },
                "topics": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.VoteTopic"
                    }
                },
                "user_count": {
                    "type": "integer"
                }
            }
        },
        "v1.VoteListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.VoteItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.VoteListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.VoteListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.VoteResultData": {
            "type": "object",
            "properties": {
                "choice_answers": {
                    "description": "选择题回答，当题目类型为选择题时有效",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "choice_items": {
                    "description": "选择题的选项",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.VoteTopicChoiceItem"
                    }
                },
                "completion_answers": {
                    "description": "问答题回答，当题目类型为问答题时有效",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "must": {
                    "description": "是否必选",
                    "type": "boolean"
                },
                "number": {
                    "description": "题目编号",
                    "type": "integer"
                },
                "star": {
                    "description": "总星数，当为评分题时有效",
                    "type": "integer"
                },
                "star_answers": {
                    "description": "评分题回答，当题目类型为评分题时有效",
                    "type": "integer"
                },
                "topic_name": {
                    "type": "string"
                },
                "topic_type": {
                    "description": "题目类型 1 填空题 2 单选题 3 多选题 4 评分题",
                    "type": "integer"
                }
            }
        },
        "v1.VoteResultListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.VoteResultUserAnswerItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.VoteResultListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.VoteResultListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.VoteResultStatisticChoice": {
            "type": "object",
            "properties": {
                "count": {
                    "description": "该选项被选的用户",
                    "type": "integer"
                },
                "flag": {
                    "description": "选择选项标识",
                    "type": "string"
                }
            }
        },
        "v1.VoteResultStatisticItem": {
            "type": "object",
            "properties": {
                "choice_items": {
                    "description": "选择题的选项内容",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.VoteTopicChoiceItem"
                    }
                },
                "choice_statistic": {
                    "description": "选择题的选项回答统计，当题目类型为选择题时有效",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.VoteResultStatisticChoice"
                    }
                },
                "must": {
                    "description": "是否必选",
                    "type": "boolean"
                },
                "number": {
                    "description": "题目编号",
                    "type": "integer"
                },
                "star": {
                    "description": "总星数，当为评分题时有效",
                    "type": "integer"
                },
                "star_avg": {
                    "description": "平均分， 当题目类型为评分题时有效",
                    "type": "integer"
                },
                "star_statistic": {
                    "description": "评分题的分数回答统计，当题目类型为评分题时有效",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.VoteResultStatisticStar"
                    }
                },
                "topic_name": {
                    "type": "string"
                },
                "topic_type": {
                    "description": "题目类型 1 填空题 2 单选题 3 多选题 4 评分题",
                    "type": "integer"
                }
            }
        },
        "v1.VoteResultStatisticReply": {
            "type": "object",
            "properties": {
                "list": {
                    "description": "题目统计",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.VoteResultStatisticItem"
                    }
                }
            }
        },
        "v1.VoteResultStatisticResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.VoteResultStatisticReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.VoteResultStatisticStar": {
            "type": "object",
            "properties": {
                "count": {
                    "description": "评该星数的用户数量",
                    "type": "integer"
                },
                "star": {
                    "description": "评分星数",
                    "type": "integer"
                }
            }
        },
        "v1.VoteResultUserAnswerItem": {
            "type": "object",
            "properties": {
                "answers": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.VoteResultData"
                    }
                },
                "uid": {
                    "description": "用户uid",
                    "type": "integer"
                }
            }
        },
        "v1.VoteTopic": {
            "type": "object",
            "properties": {
                "choice_items": {
                    "description": "选择题的选项",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.VoteTopicChoiceItem"
                    }
                },
                "must": {
                    "description": "是否必选",
                    "type": "boolean"
                },
                "number": {
                    "description": "题目编号",
                    "type": "integer"
                },
                "star": {
                    "description": "总星数，当为评分题时有效",
                    "type": "integer"
                },
                "topic_name": {
                    "type": "string"
                },
                "topic_type": {
                    "description": "题目类型 1 填空题 2 单选题 3 多选题 4 评分题",
                    "type": "integer"
                }
            }
        },
        "v1.VoteTopicChoiceItem": {
            "type": "object",
            "properties": {
                "flag": {
                    "type": "string"
                },
                "text": {
                    "type": "string"
                }
            }
        },
        "v1.VoteUpdateBody": {
            "type": "object",
            "properties": {
                "end": {
                    "description": "投票结束时间",
                    "type": "integer"
                },
                "id": {
                    "description": "投票id",
                    "type": "integer"
                },
                "pics": {
                    "description": "图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "start": {
                    "description": "投票开始时间",
                    "type": "integer"
                },
                "title": {
                    "description": "投票标题",
                    "type": "string"
                },
                "topics": {
                    "description": "投票题目列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.VoteTopic"
                    }
                }
            }
        },
        "v1.VoteUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        }
    }
}`

type swaggerInfo struct {
	Version     string
	Host        string
	BasePath    string
	Schemes     []string
	Title       string
	Description string
}

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = swaggerInfo{
	Version:     "1.1",
	Host:        "",
	BasePath:    "",
	Schemes:     []string{},
	Title:       "Project property-applete-gateway's APIs",
	Description: "This is a gateway server. On the page, you can go to do testing for every API.",
}

type s struct{}

func (s *s) ReadDoc() string {
	sInfo := SwaggerInfo
	sInfo.Description = strings.Replace(sInfo.Description, "\n", "\\n", -1)

	t, err := template.New("swagger_info").Funcs(template.FuncMap{
		"marshal": func(v interface{}) string {
			a, _ := json.Marshal(v)
			return string(a)
		},
	}).Parse(doc)
	if err != nil {
		return doc
	}

	var tpl bytes.Buffer
	if err := t.Execute(&tpl, sInfo); err != nil {
		return doc
	}

	return tpl.String()
}

func init() {
	swag.Register(swag.Name, &s{})
}
